Index: icmp6.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/icmp6.h,v
retrieving revision 1.15
diff -u -r1.15 icmp6.h
--- icmp6.h	7 Apr 2004 20:46:13 -0000	1.15
+++ icmp6.h	25 Jun 2004 03:18:26 -0000
@@ -94,7 +94,7 @@
 
 #define ICMP6_ECHO_REQUEST		128	/* echo service */
 #define ICMP6_ECHO_REPLY		129	/* echo reply */
-#define MLD_LISTENER_QUERY		130 	/* multicast listener query */
+#define MLD_LISTENER_QUERY		130	/* multicast listener query */
 #define MLD_LISTENER_REPORT		131	/* multicast listener report */
 #define MLD_LISTENER_DONE		132	/* multicast listener done */
 
@@ -137,16 +137,16 @@
 #define ICMP6_MAXTYPE			201
 
 #define ICMP6_DST_UNREACH_NOROUTE	0	/* no route to destination */
-#define ICMP6_DST_UNREACH_ADMIN	 	1	/* administratively prohibited */
+#define ICMP6_DST_UNREACH_ADMIN		1	/* administratively prohibited */
 #define ICMP6_DST_UNREACH_NOTNEIGHBOR	2	/* not a neighbor(obsolete) */
 #define ICMP6_DST_UNREACH_BEYONDSCOPE	2	/* beyond scope of source address */
 #define ICMP6_DST_UNREACH_ADDR		3	/* address unreachable */
 #define ICMP6_DST_UNREACH_NOPORT	4	/* port unreachable */
 
-#define ICMP6_TIME_EXCEED_TRANSIT 	0	/* ttl==0 in transit */
+#define ICMP6_TIME_EXCEED_TRANSIT	0	/* ttl==0 in transit */
 #define ICMP6_TIME_EXCEED_REASSEMBLY	1	/* ttl==0 in reass */
 
-#define ICMP6_PARAMPROB_HEADER 	 	0	/* erroneous header field */
+#define ICMP6_PARAMPROB_HEADER		0	/* erroneous header field */
 #define ICMP6_PARAMPROB_NEXTHEADER	1	/* unrecognized next header */
 #define ICMP6_PARAMPROB_OPTION		2	/* unrecognized option */
 
@@ -199,7 +199,7 @@
  */
 
 struct nd_router_solicit {	/* router solicitation */
-	struct icmp6_hdr 	nd_rs_hdr;
+	struct icmp6_hdr	nd_rs_hdr;
 	/* could be followed by options */
 } __packed;
 
@@ -339,7 +339,7 @@
  */
 
 struct icmp6_namelookup {
-	struct icmp6_hdr 	icmp6_nl_hdr;
+	struct icmp6_hdr	icmp6_nl_hdr;
 	u_int8_t	icmp6_nl_nonce[8];
 	int32_t		icmp6_nl_ttl;
 #if 0
@@ -441,7 +441,7 @@
 #define rr_type		rr_hdr.icmp6_type
 #define rr_code		rr_hdr.icmp6_code
 #define rr_cksum	rr_hdr.icmp6_cksum
-#define rr_seqnum 	rr_hdr.icmp6_data32[0]
+#define rr_seqnum	rr_hdr.icmp6_data32[0]
 
 struct rr_pco_match {		/* match prefix part */
 	u_int8_t	rpm_code;
@@ -651,8 +651,8 @@
 #define icmp6_ifoutstat_inc(ifp, type, code) \
 do { \
 		icmp6_ifstat_inc(ifp, ifs6_out_msg); \
- 		if (type < ICMP6_INFOMSG_MASK) \
- 			icmp6_ifstat_inc(ifp, ifs6_out_error); \
+		if (type < ICMP6_INFOMSG_MASK) \
+			icmp6_ifstat_inc(ifp, ifs6_out_error); \
 		switch (type) { \
 		 case ICMP6_DST_UNREACH: \
 			 icmp6_ifstat_inc(ifp, ifs6_out_dstunreach); \
Index: icmp_var.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/icmp_var.h,v
retrieving revision 1.23
diff -u -r1.23 icmp_var.h
--- icmp_var.h	7 Apr 2004 20:46:13 -0000	1.23
+++ icmp_var.h	25 Jun 2004 03:18:26 -0000
@@ -45,16 +45,16 @@
 	u_long	icps_oldicmp;		/* no error 'cuz old was icmp */
 	u_long	icps_outhist[ICMP_MAXTYPE + 1];
 /* statistics related to input messages processed */
- 	u_long	icps_badcode;		/* icmp_code out of range */
+	u_long	icps_badcode;		/* icmp_code out of range */
 	u_long	icps_tooshort;		/* packet < ICMP_MINLEN */
 	u_long	icps_checksum;		/* bad checksum */
 	u_long	icps_badlen;		/* calculated bound mismatch */
 	u_long	icps_reflect;		/* number of responses */
 	u_long	icps_inhist[ICMP_MAXTYPE + 1];
-	u_long	icps_bmcastecho; 	/* b/mcast echo requests dropped */
-	u_long	icps_bmcasttstamp; 	/* b/mcast tstamp requests dropped */
+	u_long	icps_bmcastecho;	/* b/mcast echo requests dropped */
+	u_long	icps_bmcasttstamp;	/* b/mcast tstamp requests dropped */
 	u_long	icps_badaddr;		/* bad return address */
-	u_long	icps_noroute; 		/* no route back */
+	u_long	icps_noroute;		/* no route back */
 };
 
 /*
Index: if_atm.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/if_atm.c,v
retrieving revision 1.17
diff -u -r1.17 if_atm.c
--- if_atm.c	8 Nov 2003 23:36:31 -0000	1.17
+++ if_atm.c	25 Jun 2004 03:18:26 -0000
@@ -15,7 +15,7 @@
  *    documentation and/or other materials provided with the distribution.
  * 3. All advertising materials mentioning features or use of this software
  *    must display the following acknowledgement:
- *      This product includes software developed by Charles D. Cranor and 
+ *      This product includes software developed by Charles D. Cranor and
  *	Washington University.
  * 4. The name of the author may not be used to endorse or promote products
  *    derived from this software without specific prior written permission.
@@ -119,7 +119,7 @@
 		 * first check to see if this is not a host route, in which
 		 * case we are being called via "ifconfig" to set the address.
 		 */
-		if ((rt->rt_flags & RTF_HOST) == 0) { 
+		if ((rt->rt_flags & RTF_HOST) == 0) {
 			rt_setgate(rt,rt_key(rt),(struct sockaddr *)&null_sdl);
 			gate = rt->rt_gateway;
 			SDL(gate)->sdl_type = rt->rt_ifp->if_type;
@@ -225,7 +225,7 @@
 		if (sin->sin_family != AF_INET)
 			goto failed;
 		npcb = npcb_add(NULL, rt->rt_ifp, op.param.vci,  op.param.vpi);
-		if (npcb == NULL) 
+		if (npcb == NULL)
 			goto failed;
 		npcb->npcb_flags |= NPCB_IP;
 		npcb->ipaddr.s_addr = sin->sin_addr.s_addr;
@@ -238,7 +238,7 @@
 		 */
 		op.rxhand = NULL;
 		op.param.flags |= ATMIO_FLAG_ASYNC;
-		if (rt->rt_ifp->if_ioctl(rt->rt_ifp, SIOCATMOPENVCC, 
+		if (rt->rt_ifp->if_ioctl(rt->rt_ifp, SIOCATMOPENVCC,
 		    (caddr_t)&op) != 0) {
 			printf("atm: couldn't add VC\n");
 			goto failed;
@@ -269,7 +269,7 @@
 		 * tell native ATM we are done with this VC
 		 */
 		if (rt->rt_flags & RTF_LLINFO) {
-			npcb_free((struct natmpcb *)rt->rt_llinfo, 
+			npcb_free((struct natmpcb *)rt->rt_llinfo,
 			    NPCB_DESTROY);
 			rt->rt_llinfo = NULL;
 			rt->rt_flags &= ~RTF_LLINFO;
@@ -284,7 +284,7 @@
 		cl.vpi = *addr++;
 		cl.vci = *addr++ << 8;
 		cl.vci |= *addr++;
-		(void)rt->rt_ifp->if_ioctl(rt->rt_ifp, SIOCATMCLOSEVCC, 
+		(void)rt->rt_ifp->if_ioctl(rt->rt_ifp, SIOCATMCLOSEVCC,
 		    (caddr_t)&cl);
 		break;
 	}
@@ -298,7 +298,7 @@
  *     [3] "dst" = sockaddr_in (IP) address of dest.
  *   output:
  *     [4] "desten" = ATM pseudo header which we will fill in VPI/VCI info
- *   return: 
+ *   return:
  *     0 == resolve FAILED; note that "m" gets m_freem'd in this case
  *     1 == resolve OK; desten contains result
  *
@@ -321,7 +321,7 @@
 		if (rt == NULL)
 			goto bad;	/* failed */
 		RT_REMREF(rt);		/* don't keep LL references */
-		if ((rt->rt_flags & RTF_GATEWAY) != 0 || 
+		if ((rt->rt_flags & RTF_GATEWAY) != 0 ||
 		    (rt->rt_flags & RTF_LLINFO) == 0 ||
 		    /* XXX: are we using LLINFO? */
 		    rt->rt_gateway->sa_family != AF_LINK) {
@@ -332,7 +332,7 @@
 	}
 
 	/*
-	 * note that rt_gateway is a sockaddr_dl which contains the 
+	 * note that rt_gateway is a sockaddr_dl which contains the
 	 * atm_pseudohdr data structure for this route.   we currently
 	 * don't need any rt_llinfo info (but will if we want to support
 	 * ATM ARP [c.f. if_ether.c]).
Index: if_atm.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/if_atm.h,v
retrieving revision 1.5
diff -u -r1.5 if_atm.h
--- if_atm.h	19 Mar 2002 21:25:46 -0000	1.5
+++ if_atm.h	25 Jun 2004 03:18:26 -0000
@@ -16,8 +16,8 @@
  *    documentation and/or other materials provided with the distribution.
  * 3. All advertising materials mentioning features or use of this software
  *    must display the following acknowledgement:
- *      This product includes software developed by Charles D. Cranor and 
- * 	Washington University.
+ *      This product includes software developed by Charles D. Cranor and
+ *	Washington University.
  * 4. The name of the author may not be used to endorse or promote products
  *    derived from this software without specific prior written permission.
  *
@@ -43,5 +43,5 @@
 struct sockaddr;
 
 void atm_rtrequest(int, struct rtentry *, struct rt_addrinfo *);
-int atmresolve(struct rtentry *, struct mbuf *, struct sockaddr *, 
+int atmresolve(struct rtentry *, struct mbuf *, struct sockaddr *,
 		struct atm_pseudohdr *);
Index: if_ether.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/if_ether.c,v
retrieving revision 1.128
diff -u -r1.128 if_ether.c
--- if_ether.c	13 Jun 2004 10:54:36 -0000	1.128
+++ if_ether.c	25 Jun 2004 03:18:26 -0000
@@ -82,7 +82,7 @@
 
 SYSCTL_INT(_net_link_ether_inet, OID_AUTO, prune_intvl, CTLFLAG_RW,
 	   &arpt_prune, 0, "");
-SYSCTL_INT(_net_link_ether_inet, OID_AUTO, max_age, CTLFLAG_RW, 
+SYSCTL_INT(_net_link_ether_inet, OID_AUTO, max_age, CTLFLAG_RW,
 	   &arpt_keep, 0, "");
 SYSCTL_INT(_net_link_ether_inet, OID_AUTO, host_down_time, CTLFLAG_RW,
 	   &arpt_down, 0, "");
@@ -396,7 +396,7 @@
 				   &SIN(dst)->sin_addr,
 				   IF_LLADDR(ifp));
 			la->la_preempt--;
-		} 
+		}
 
 		bcopy(LLADDR(sdl), desten, sdl->sdl_alen);
 		return (0);
@@ -509,8 +509,8 @@
 	&log_arp_wrong_iface, 0,
 	"log arp packets arriving on the wrong interface");
 SYSCTL_INT(_net_link_ether_inet, OID_AUTO, log_arp_movements, CTLFLAG_RW,
-        &log_arp_movements, 0,
-        "log arp replies from MACs different than the one in the cache");
+	&log_arp_movements, 0,
+	"log arp replies from MACs different than the one in the cache");
 
 
 static void
@@ -609,7 +609,7 @@
 		    bcmp(ar_sha(ah), LLADDR(sdl), sdl->sdl_alen)) {
 			if (rt->rt_expire) {
 			    if (log_arp_movements)
-			        log(LOG_INFO, "arp: %s moved from %*D to %*D on %s\n",
+				log(LOG_INFO, "arp: %s moved from %*D to %*D on %s\n",
 				    inet_ntoa(isaddr),
 				    ifp->if_addrlen, (u_char *)LLADDR(sdl), ":",
 				    ifp->if_addrlen, (u_char *)ar_sha(ah), ":",
@@ -760,8 +760,8 @@
 	ah->ar_op = htons(ARPOP_REPLY);
 	ah->ar_pro = htons(ETHERTYPE_IP); /* let's be sure! */
 	m->m_flags &= ~(M_BCAST|M_MCAST); /* never reply by broadcast */
-	m->m_len = sizeof(*ah) + (2 * ah->ar_pln) + (2 * ah->ar_hln);   
-	m->m_pkthdr.len = m->m_len;   
+	m->m_len = sizeof(*ah) + (2 * ah->ar_pln) + (2 * ah->ar_hln);
+	m->m_pkthdr.len = m->m_len;
 	sa.sa_family = AF_ARP;
 	sa.sa_len = 2;
 	(*ifp->if_output)(ifp, m, &sa, (struct rtentry *)0);
Index: igmp.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/igmp.h,v
retrieving revision 1.11
diff -u -r1.11 igmp.h
--- igmp.h	7 Apr 2004 20:46:13 -0000	1.11
+++ igmp.h	25 Jun 2004 03:18:26 -0000
@@ -60,7 +60,7 @@
 /*
  * Message types, including version number.
  */
-#define IGMP_MEMBERSHIP_QUERY   	0x11	/* membership query         */
+#define IGMP_MEMBERSHIP_QUERY  	0x11	/* membership query         */
 #define IGMP_V1_MEMBERSHIP_REPORT	0x12	/* Ver. 1 membership report */
 #define IGMP_V2_MEMBERSHIP_REPORT	0x16	/* Ver. 2 membership report */
 #define IGMP_V2_LEAVE_GROUP		0x17	/* Leave-group message	    */
Index: in.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/in.c,v
retrieving revision 1.75
diff -u -r1.75 in.c
--- in.c	7 Apr 2004 20:46:13 -0000	1.75
+++ in.c	25 Jun 2004 03:18:26 -0000
@@ -60,7 +60,7 @@
 	    struct in_ifaddr *, struct sockaddr_in *, int);
 
 static int subnetsarelocal = 0;
-SYSCTL_INT(_net_inet_ip, OID_AUTO, subnets_are_local, CTLFLAG_RW, 
+SYSCTL_INT(_net_inet_ip, OID_AUTO, subnets_are_local, CTLFLAG_RW,
 	&subnetsarelocal, 0, "Treat all subnets as directly connected");
 
 struct in_multihead in_multihead; /* XXX BSS initialization */
@@ -127,7 +127,7 @@
 
     ap->sin_len = 0;
     while (--cp >= cplim)
-        if (*cp) {
+	if (*cp) {
 	    (ap)->sin_len = cp - (char *) (ap) + 1;
 	    break;
 	}
@@ -766,7 +766,7 @@
 int
 in_broadcast(in, ifp)
 	struct in_addr in;
-        struct ifnet *ifp;
+	struct ifnet *ifp;
 {
 	register struct ifaddr *ifa;
 	u_long t;
Index: in.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/in.h,v
retrieving revision 1.85
diff -u -r1.85 in.h
--- in.h	16 Jun 2004 22:59:05 -0000	1.85
+++ in.h	25 Jun 2004 03:18:26 -0000
@@ -132,7 +132,7 @@
 #define	IPPROTO_HOPOPTS		0		/* IP6 hop-by-hop options */
 #define	IPPROTO_IGMP		2		/* group mgmt protocol */
 #define	IPPROTO_GGP		3		/* gateway^2 (deprecated) */
-#define IPPROTO_IPV4		4 		/* IPv4 encapsulation */
+#define IPPROTO_IPV4		4		/* IPv4 encapsulation */
 #define IPPROTO_IPIP		IPPROTO_IPV4	/* for compatibility */
 #define	IPPROTO_ST		7		/* Stream protocol II */
 #define	IPPROTO_EGP		8		/* exterior gateway protocol */
@@ -155,7 +155,7 @@
 #define	IPPROTO_LEAF2		26		/* Leaf-2 */
 #define	IPPROTO_RDP		27		/* Reliable Data */
 #define	IPPROTO_IRTP		28		/* Reliable Transaction */
-#define	IPPROTO_TP		29 		/* tp-4 w/ class negotiation */
+#define	IPPROTO_TP		29		/* tp-4 w/ class negotiation */
 #define	IPPROTO_BLT		30		/* Bulk Data Transfer */
 #define	IPPROTO_NSP		31		/* Network Services */
 #define	IPPROTO_INP		32		/* Merit Internodal */
@@ -172,7 +172,7 @@
 #define	IPPROTO_ROUTING		43		/* IP6 routing header */
 #define	IPPROTO_FRAGMENT	44		/* IP6 fragmentation header */
 #define	IPPROTO_IDRP		45		/* InterDomain Routing*/
-#define	IPPROTO_RSVP		46 		/* resource reservation */
+#define	IPPROTO_RSVP		46		/* resource reservation */
 #define	IPPROTO_GRE		47		/* General Routing Encap. */
 #define	IPPROTO_MHRP		48		/* Mobile Host Routing */
 #define	IPPROTO_BHA		49		/* BHA */
@@ -394,11 +394,11 @@
 #define	IP_FW_TABLE_GETSIZE	43   /* get table size */
 #define	IP_FW_TABLE_LIST	44   /* list table contents */
 
-#define	IP_FW_ADD     		50   /* add a firewall rule to chain */
-#define	IP_FW_DEL    		51   /* delete a firewall rule from chain */
-#define	IP_FW_FLUSH   		52   /* flush firewall rule chain */
-#define	IP_FW_ZERO    		53   /* clear single/all firewall counter(s) */
-#define	IP_FW_GET     		54   /* get entire firewall rule chain */
+#define	IP_FW_ADD    		50   /* add a firewall rule to chain */
+#define	IP_FW_DEL   		51   /* delete a firewall rule from chain */
+#define	IP_FW_FLUSH  		52   /* flush firewall rule chain */
+#define	IP_FW_ZERO   		53   /* clear single/all firewall counter(s) */
+#define	IP_FW_GET    		54   /* get entire firewall rule chain */
 #define	IP_FW_RESETLOG		55   /* reset logging counters */
 
 #define	IP_DUMMYNET_CONFIGURE	60   /* add/configure a dummynet pipe */
@@ -543,7 +543,7 @@
 	{ "rtminexpire", CTLTYPE_INT }, \
 	{ "rtmaxcache", CTLTYPE_INT }, \
 	{ "sourceroute", CTLTYPE_INT }, \
- 	{ "directed-broadcast", CTLTYPE_INT }, \
+	{ "directed-broadcast", CTLTYPE_INT }, \
 	{ "intr-queue-maxlen", CTLTYPE_INT }, \
 	{ "intr-queue-drops", CTLTYPE_INT }, \
 	{ "stats", CTLTYPE_STRUCT }, \
@@ -560,7 +560,7 @@
 int	 in_broadcast(struct in_addr, struct ifnet *);
 int	 in_canforward(struct in_addr);
 int	 in_localaddr(struct in_addr);
-char 	*inet_ntoa(struct in_addr); /* in libkern */
+char	*inet_ntoa(struct in_addr); /* in libkern */
 char	*inet_ntoa_r(struct in_addr ina, char *buf); /* in libkern */
 
 #define in_hosteq(s, t)	((s).s_addr == (t).s_addr)
Index: in_pcb.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/in_pcb.h,v
retrieving revision 1.73
diff -u -r1.73 in_pcb.h
--- in_pcb.h	24 Jun 2004 02:01:48 -0000	1.73
+++ in_pcb.h	25 Jun 2004 03:18:26 -0000
@@ -337,7 +337,7 @@
 
 #define	INP_SOCKAF(so) so->so_proto->pr_domain->dom_family
 
-#define	INP_CHECK_SOCKAF(so, af) 	(INP_SOCKAF(so) == af)
+#define	INP_CHECK_SOCKAF(so, af)	(INP_SOCKAF(so) == af)
 
 #ifdef _KERNEL
 extern int	ipport_lowfirstauto;
Index: in_proto.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/in_proto.c,v
retrieving revision 1.72
diff -u -r1.72 in_proto.c
--- in_proto.c	16 Jun 2004 23:24:02 -0000	1.72
+++ in_proto.c	25 Jun 2004 03:18:26 -0000
@@ -141,48 +141,48 @@
 },
 #ifdef IPSEC
 { SOCK_RAW,	&inetdomain,	IPPROTO_AH,	PR_ATOMIC|PR_ADDR,
-  ah4_input,	0,	 	0,		0,
-  0,	  
+  ah4_input,	0,		0,		0,
+  0,	
   0,		0,		0,		0,
   &nousrreqs
 },
 #ifdef IPSEC_ESP
 { SOCK_RAW,	&inetdomain,	IPPROTO_ESP,	PR_ATOMIC|PR_ADDR,
-  esp4_input,	0,	 	0,		0,
-  0,	  
+  esp4_input,	0,		0,		0,
+  0,	
   0,		0,		0,		0,
   &nousrreqs
 },
 #endif
 { SOCK_RAW,	&inetdomain,	IPPROTO_IPCOMP,	PR_ATOMIC|PR_ADDR,
-  ipcomp4_input, 0,	 	0,		0,
-  0,	  
+  ipcomp4_input, 0,		0,		0,
+  0,	
   0,		0,		0,		0,
   &nousrreqs
 },
 #endif /* IPSEC */
 #ifdef FAST_IPSEC
 { SOCK_RAW,	&inetdomain,	IPPROTO_AH,	PR_ATOMIC|PR_ADDR,
-  ah4_input,	0,	 	ah4_ctlinput,	0,
-  0,	  
+  ah4_input,	0,		ah4_ctlinput,	0,
+  0,	
   0,		0,		0,		0,
   &nousrreqs
 },
 { SOCK_RAW,	&inetdomain,	IPPROTO_ESP,	PR_ATOMIC|PR_ADDR,
-  esp4_input,	0,	 	esp4_ctlinput,	0,
-  0,	  
+  esp4_input,	0,		esp4_ctlinput,	0,
+  0,	
   0,		0,		0,		0,
   &nousrreqs
 },
 { SOCK_RAW,	&inetdomain,	IPPROTO_IPCOMP,	PR_ATOMIC|PR_ADDR,
-  ipcomp4_input,	0,	 	0,		0,
-  0,	  
+  ipcomp4_input,	0,		0,		0,
+  0,	
   0,		0,		0,		0,
   &nousrreqs
 },
 #endif /* FAST_IPSEC */
 { SOCK_RAW,	&inetdomain,	IPPROTO_IPV4,	PR_ATOMIC|PR_ADDR|PR_LASTHDR,
-  encap4_input,	0,	 	0,		rip_ctloutput,
+  encap4_input,	0,		0,		rip_ctloutput,
   0,
   encap_init,		0,		0,		0,
   &rip_usrreqs
@@ -201,7 +201,7 @@
 },
 # ifdef INET6
 { SOCK_RAW,	&inetdomain,	IPPROTO_IPV6,	PR_ATOMIC|PR_ADDR|PR_LASTHDR,
-  encap4_input,	0,	 	0,		rip_ctloutput,
+  encap4_input,	0,		0,		rip_ctloutput,
   0,
   encap_init,	0,		0,		0,
   &rip_usrreqs
@@ -209,7 +209,7 @@
 #endif
 #ifdef IPDIVERT
 { SOCK_RAW,	&inetdomain,	IPPROTO_DIVERT,	PR_ATOMIC|PR_ADDR,
-  div_input,	0,	 	div_ctlinput,	ip_ctloutput,
+  div_input,	0,		div_ctlinput,	ip_ctloutput,
   0,
   div_init,	0,		0,		0,
   &div_usrreqs,
@@ -251,7 +251,7 @@
 extern int in_inithead(void **, int);
 
 struct domain inetdomain =
-    { AF_INET, "internet", 0, 0, 0, 
+    { AF_INET, "internet", 0, 0, 0,
       inetsw,
       &inetsw[sizeof(inetsw)/sizeof(inetsw[0])], 0,
       in_inithead, 32, sizeof(struct sockaddr_in)
Index: in_var.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/in_var.h,v
retrieving revision 1.50
diff -u -r1.50 in_var.h
--- in_var.h	7 Apr 2004 20:46:13 -0000	1.50
+++ in_var.h	25 Jun 2004 03:18:26 -0000
@@ -81,7 +81,7 @@
 #ifdef	_KERNEL
 extern	u_char	inetctlerrmap[];
 
-/* 
+/*
  * Hash table for IP addresses.
  */
 extern	LIST_HEAD(in_ifaddrhashhead, in_ifaddr) *in_ifaddrhashtbl;
Index: ip6.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/ip6.h,v
retrieving revision 1.12
diff -u -r1.12 ip6.h
--- ip6.h	7 Apr 2004 20:46:13 -0000	1.12
+++ ip6.h	25 Jun 2004 03:18:26 -0000
@@ -147,7 +147,7 @@
 #define IP6OPT_RTALERT_LEN	4
 #define IP6OPT_RTALERT_MLD	0	/* Datagram contains an MLD message */
 #define IP6OPT_RTALERT_RSVP	1	/* Datagram contains an RSVP message */
-#define IP6OPT_RTALERT_ACTNET	2 	/* contains an Active Networks msg */
+#define IP6OPT_RTALERT_ACTNET	2	/* contains an Active Networks msg */
 #define IP6OPT_MINLEN		2
 
 #define IP6OPT_EID		0x8a	/* 10 0 01010 */
Index: ip_divert.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/ip_divert.c,v
retrieving revision 1.92
diff -u -r1.92 ip_divert.c
--- ip_divert.c	22 Jun 2004 04:00:51 -0000	1.92
+++ ip_divert.c	25 Jun 2004 03:18:26 -0000
@@ -198,10 +198,10 @@
 	 */
 	if (m->m_pkthdr.rcvif) {
 		/*
-		 * Hide the actual interface name in there in the 
+		 * Hide the actual interface name in there in the
 		 * sin_zero array. XXX This needs to be moved to a
 		 * different sockaddr type for divert, e.g.
-		 * sockaddr_div with multiple fields like 
+		 * sockaddr_div with multiple fields like
 		 * sockaddr_dl. Presently we have only 7 bytes
 		 * but that will do for now as most interfaces
 		 * are 4 or less + 2 or less bytes for unit.
@@ -214,7 +214,7 @@
 		 * and re-uses the sockaddr_in as suggested in the man pages,
 		 * this iface name will come along for the ride.
 		 * (see div_output for the other half of this.)
-		 */ 
+		 */
 		strlcpy(divsrc.sin_zero, m->m_pkthdr.rcvif->if_xname,
 		    sizeof(divsrc.sin_zero));
 	}
@@ -244,7 +244,7 @@
 		m_freem(m);
 		ipstat.ips_noproto++;
 		ipstat.ips_delivered--;
-        }
+	}
 }
 
 /*
@@ -536,11 +536,11 @@
 void
 div_ctlinput(int cmd, struct sockaddr *sa, void *vip)
 {
-        struct in_addr faddr;
+	struct in_addr faddr;
 
 	faddr = ((struct sockaddr_in *)sa)->sin_addr;
 	if (sa->sa_family != AF_INET || faddr.s_addr == INADDR_ANY)
-        	return;
+       	return;
 	if (PRC_IS_REDIRECT(cmd))
 		return;
 }
Index: ip_dummynet.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/ip_dummynet.c,v
retrieving revision 1.81
diff -u -r1.81 ip_dummynet.c
--- ip_dummynet.c	24 Jun 2004 02:01:48 -0000	1.81
+++ ip_dummynet.c	25 Jun 2004 03:18:26 -0000
@@ -851,9 +851,9 @@
     for (i = 0 ; i <= fs->rq_size ; i++) /* last one is overflow */
 	for (prev=NULL, q = fs->rq[i] ; q != NULL ; )
 	    if (q->head != NULL || q->S != q->F+1) {
-  		prev = q ;
-  	        q = q->next ;
-  	    } else { /* entry is idle, expire it */
+ 		prev = q ;
+ 		q = q->next ;
+ 	    } else { /* entry is idle, expire it */
 		struct dn_flow_queue *old_q = q ;
 
 		if (prev != NULL)
@@ -975,7 +975,7 @@
      *
      * RED calculates the average queue size (avg) using a low-pass filter
      * with an exponential weighted (w_q) moving average:
-     * 	avg  <-  (1-w_q) * avg + w_q * q_size
+     *	avg  <-  (1-w_q) * avg + w_q * q_size
      * where q_size is the queue length (measured in bytes or * packets).
      *
      * If q_size == 0, we compute the idle time for the link, and set
@@ -1191,7 +1191,7 @@
     if ( fs->plr && random() < fs->plr )
 	goto dropit ;		/* random pkt drop			*/
     if ( fs->flags_fs & DN_QSIZE_IS_BYTES) {
-    	if (q->len_bytes > fs->qsize)
+   	if (q->len_bytes > fs->qsize)
 	    goto dropit ;	/* queue size overflow			*/
     } else {
 	if (q->len >= fs->qsize)
@@ -1619,7 +1619,7 @@
 	if (b == NULL || b->pipe_nr != p->pipe_nr) { /* new pipe */
 	    x = malloc(sizeof(struct dn_pipe), M_DUMMYNET, M_NOWAIT | M_ZERO);
 	    if (x == NULL) {
-	    	DUMMYNET_UNLOCK();
+	   	DUMMYNET_UNLOCK();
 		printf("dummynet: no memory for new pipe\n");
 		return ENOSPC;
 	    }
@@ -1669,7 +1669,7 @@
 
 	if (b == NULL || b->fs_nr != pfs->fs_nr) { /* new  */
 	    if (pfs->parent_nr == 0) {	/* need link to a pipe */
-	    	DUMMYNET_UNLOCK();
+	   	DUMMYNET_UNLOCK();
 		return EINVAL ;
 	    }
 	    x = malloc(sizeof(struct dn_flow_set), M_DUMMYNET, M_NOWAIT|M_ZERO);
@@ -1688,7 +1688,7 @@
 	} else {
 	    /* Change parent pipe not allowed; must delete and recreate */
 	    if (pfs->parent_nr != 0 && b->parent_nr != pfs->parent_nr) {
-	    	DUMMYNET_UNLOCK();
+	   	DUMMYNET_UNLOCK();
 		return EINVAL ;
 	    }
 	    x = b;
Index: ip_dummynet.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/ip_dummynet.h,v
retrieving revision 1.31
diff -u -r1.31 ip_dummynet.h
--- ip_dummynet.h	25 Feb 2004 19:55:28 -0000	1.31
+++ ip_dummynet.h	25 Jun 2004 03:18:26 -0000
@@ -276,7 +276,7 @@
     u_int32_t last_expired ;	/* do not expire too frequently */
     int backlogged ;		/* #active queues for this flowset */
 
-        /* RED parameters */
+	/* RED parameters */
 #define SCALE_RED               16
 #define SCALE(x)                ( (x) << SCALE_RED )
 #define SCALE_VAL(x)            ( (x) >> SCALE_RED )
Index: ip_fastfwd.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/ip_fastfwd.c,v
retrieving revision 1.11
diff -u -r1.11 ip_fastfwd.c
--- ip_fastfwd.c	6 May 2004 18:46:03 -0000	1.11
+++ ip_fastfwd.c	25 Jun 2004 03:18:26 -0000
@@ -57,7 +57,7 @@
  *
  * We try to do the least expensive (in CPU ops) checks and operations
  * first to catch junk with as little overhead as possible.
- * 
+ *
  * We take full advantage of hardware support for ip checksum and
  * fragmentation offloading.
  *
@@ -333,7 +333,7 @@
 	 * Or is it for a local IP broadcast address on this host?
 	 */
 	if (m->m_pkthdr.rcvif->if_flags & IFF_BROADCAST) {
-	        TAILQ_FOREACH(ifa, &m->m_pkthdr.rcvif->if_addrhead, ifa_link) {
+		TAILQ_FOREACH(ifa, &m->m_pkthdr.rcvif->if_addrhead, ifa_link) {
 			if (ifa->ifa_addr->sa_family != AF_INET)
 				continue;
 			ia = ifatoia(ifa);
Index: ip_fw.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/ip_fw.h,v
retrieving revision 1.85
diff -u -r1.85 ip_fw.h
--- ip_fw.h	9 Jun 2004 20:10:38 -0000	1.85
+++ ip_fw.h	25 Jun 2004 03:18:26 -0000
@@ -111,7 +111,7 @@
 
 	O_CHECK_STATE,		/* none				*/
 	O_ACCEPT,		/* none				*/
-	O_DENY,			/* none 			*/
+	O_DENY,			/* none			*/
 	O_REJECT,		/* arg1=icmp arg (same as deny)	*/
 	O_COUNT,		/* none				*/
 	O_SKIPTO,		/* arg1=next rule number	*/
@@ -125,7 +125,7 @@
 	/*
 	 * More opcodes.
 	 */
-	O_IPSEC,		/* has ipsec history 		*/
+	O_IPSEC,		/* has ipsec history		*/
 	O_IP_SRC_LOOKUP,	/* arg1=table number, u32=value	*/
 	O_IP_DST_LOOKUP,	/* arg1=table number, u32=value	*/
 
@@ -263,9 +263,9 @@
  * This is used for log instructions.
  */
 typedef struct  _ipfw_insn_log {
-        ipfw_insn o;
+	ipfw_insn o;
 	u_int32_t max_log;	/* how many do we log -- 0 = all */
-	u_int32_t log_left;	/* how many left to log 	*/
+	u_int32_t log_left;	/* how many left to log	*/
 } ipfw_insn_log;
 
 /*
@@ -289,7 +289,7 @@
  *	(at ACTION_PTR(r)) MUST be O_LOG
  *
  * NOTE: we use a simple linked list of rules because we never need
- * 	to delete a rule without scanning the list. We do not use
+ *	to delete a rule without scanning the list. We do not use
  *	queue(3) macros for portability and readability.
  */
 
Index: ip_fw2.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/ip_fw2.c,v
retrieving revision 1.63
diff -u -r1.63 ip_fw2.c
--- ip_fw2.c	24 Jun 2004 02:01:48 -0000	1.63
+++ ip_fw2.c	25 Jun 2004 03:18:26 -0000
@@ -471,7 +471,7 @@
 /*
  * The verify_path function checks if a route to the src exists and
  * if it is reachable via ifp (when provided).
- * 
+ *
  * The 'verrevpath' option checks that the interface that an IP packet
  * arrives on is the same interface that traffic destined for the
  * packet's source address would be routed out of.  The 'versrcreach'
@@ -819,10 +819,10 @@
 				    !TIME_LEQ( q->expire, time_second ))
 					goto next;
 			}
-             if (q->dyn_type != O_LIMIT_PARENT || !q->count) {
-                     UNLINK_DYN_RULE(prev, ipfw_dyn_v[i], q);
-                     continue;
-             }
+	     if (q->dyn_type != O_LIMIT_PARENT || !q->count) {
+		     UNLINK_DYN_RULE(prev, ipfw_dyn_v[i], q);
+		     continue;
+	     }
 next:
 			prev=q;
 			q=q->next;
@@ -906,7 +906,7 @@
 		case BOTH_SYN:			/* move to established */
 		case BOTH_SYN | TH_FIN :	/* one side tries to close */
 		case BOTH_SYN | (TH_FIN << 8) :
- 			if (tcp) {
+			if (tcp) {
 #define _SEQ_GE(a,b) ((int)(a) - (int)(b) >= 0)
 			    u_int32_t ack = ntohl(tcp->th_ack);
 			    if (dir == MATCH_FORWARD) {
@@ -1604,7 +1604,7 @@
 			*lookup = -1;
 			return (0);
 		}
-	} 
+	}
 	if (insn->o.opcode == O_UID)
 		match = (ugp->fw_uid == (uid_t)insn->d[0]);
 	else if (insn->o.opcode == O_GID)
@@ -1642,7 +1642,7 @@
  *
  *	IP_FW_PORT_DENY_FLAG	the packet must be dropped.
  *	0	The packet is to be accepted and routed normally OR
- *      	the packet was denied/rejected and has been dropped;
+ *     	the packet was denied/rejected and has been dropped;
  *		in the latter case, *m is equal to NULL upon return.
  *	port	Divert the packet to port, with these caveats:
  *
@@ -1743,7 +1743,7 @@
 		return 0;	/* accept */
 	/*
 	 * dyn_dir = MATCH_UNKNOWN when rules unchecked,
-	 * 	MATCH_NONE when checked and not matched (q = NULL),
+	 *	MATCH_NONE when checked and not matched (q = NULL),
 	 *	MATCH_FORWARD or MATCH_REVERSE otherwise (q != NULL)
 	 */
 
@@ -2505,7 +2505,7 @@
 	if (chain->rules == NULL) {	/* default rule */
 		chain->rules = rule;
 		goto done;
-        }
+	}
 
 	/*
 	 * If rulenum is 0, find highest numbered rule before the
Index: ip_gre.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/ip_gre.c,v
retrieving revision 1.16
diff -u -r1.16 ip_gre.c
--- ip_gre.c	22 Mar 2004 16:04:43 -0000	1.16
+++ ip_gre.c	25 Jun 2004 03:18:26 -0000
@@ -87,7 +87,7 @@
 #include <machine/stdarg.h>
 
 #if 1
-void gre_inet_ntoa(struct in_addr in); 	/* XXX */
+void gre_inet_ntoa(struct in_addr in);	/* XXX */
 #endif
 
 static struct gre_softc *gre_lookup(struct mbuf *, u_int8_t);
@@ -231,8 +231,8 @@
 gre_mobile_input(struct mbuf *m, ...)
 #else
 gre_mobile_input(m, va_alist)
-        struct mbuf *m;
-        va_dcl
+	struct mbuf *m;
+	va_dcl
 #endif
 {
 	struct ip *ip;
Index: ip_icmp.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/ip_icmp.c,v
retrieving revision 1.93
diff -u -r1.93 ip_icmp.c
--- ip_icmp.c	7 Jun 2004 09:56:59 -0000	1.93
+++ ip_icmp.c	25 Jun 2004 03:18:26 -0000
@@ -91,11 +91,11 @@
 	&icmpmaskfake, 0, "Fake reply to ICMP Address Mask Request packets.");
 
 static int	drop_redirect = 0;
-SYSCTL_INT(_net_inet_icmp, OID_AUTO, drop_redirect, CTLFLAG_RW, 
+SYSCTL_INT(_net_inet_icmp, OID_AUTO, drop_redirect, CTLFLAG_RW,
 	&drop_redirect, 0, "");
 
 static int	log_redirect = 0;
-SYSCTL_INT(_net_inet_icmp, OID_AUTO, log_redirect, CTLFLAG_RW, 
+SYSCTL_INT(_net_inet_icmp, OID_AUTO, log_redirect, CTLFLAG_RW,
 	&log_redirect, 0, "");
 
 static int      icmplim = 200;
@@ -235,7 +235,7 @@
 	nip->ip_hl = 5;
 	nip->ip_p = IPPROTO_ICMP;
 	nip->ip_tos = 0;
-	/* 
+	/*
 	 * XXX: Move PF_GENERATED m_tag to new packet, if it exists.
 	 *	This should be replaced by unified flags/tags for
 	 *	pf/ipfw/ipf and future pfil_hook applications.
@@ -422,7 +422,7 @@
 		 * (if given) and then notify as usual.  The ULPs will
 		 * notice that the MTU has changed and adapt accordingly.
 		 * If no new MTU was suggested, then we guess a new one
-		 * less than the current value.  If the new MTU is 
+		 * less than the current value.  If the new MTU is
 		 * unreasonably small (defined by sysctl tcp_minmss), then
 		 * we don't update the MTU value.
 		 *
@@ -687,7 +687,7 @@
 			goto match;
 		}
 	}
-	/* 
+	/*
 	 * If the packet was transiting through us, use the address of
 	 * the interface that is the closest to the packet source.
 	 * When we don't have a route back to the packet source, stop here
@@ -739,7 +739,7 @@
 					    break;
 				    len = cp[IPOPT_OLEN];
 				    if (len < IPOPT_OLEN + sizeof(*cp) ||
-				        len > cnt)
+					len > cnt)
 					    break;
 			    }
 			    /*
@@ -875,7 +875,7 @@
  * badport_bandlim() - check for ICMP bandwidth limit
  *
  *	Return 0 if it is ok to send an ICMP error response, -1 if we have
- *	hit our bandwidth limit and it is not ok.  
+ *	hit our bandwidth limit and it is not ok.
  *
  *	If icmplim is <= 0, the feature is disabled and 0 is returned.
  *
@@ -886,7 +886,7 @@
  *	Note that the printing of the error message is delayed so we can
  *	properly print the icmp error rate that the system was trying to do
  *	(i.e. 22000/100 pps, etc...).  This can cause long delays in printing
- *	the 'final' error, but it doesn't make sense to solve the printing 
+ *	the 'final' error, but it doesn't make sense to solve the printing
  *	delay with more complex code.
  */
 
Index: ip_id.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/ip_id.c,v
retrieving revision 1.4
diff -u -r1.4 ip_id.c
--- ip_id.c	26 Feb 2004 03:53:53 -0000	1.4
+++ ip_id.c	25 Jun 2004 03:18:26 -0000
@@ -37,7 +37,7 @@
  * $FreeBSD: src/sys/netinet/ip_id.c,v 1.4 2004/02/26 03:53:53 mlaier Exp $
  */
 
-/* 
+/*
  * seed = random 15bit
  * n = prime, g0 = generator to n,
  * j = random so that gcd(j,n-1) == 1
@@ -45,7 +45,7 @@
  *
  * X[0] = random seed.
  * X[n] = a*X[n-1]+b mod m is a Linear Congruential Generator
- * with a = 7^(even random) mod m, 
+ * with a = 7^(even random) mod m,
  *      b = random with gcd(b,m) == 1
  *      m = 31104 and a maximal period of m-1.
  *
@@ -74,7 +74,7 @@
 
 #define PFAC_N 3
 const static u_int16_t pfacts[PFAC_N] = {
-	2, 
+	2,
 	3,
 	2729
 };
@@ -121,15 +121,15 @@
 	return (s);
 }
 
-/* 
- * Initalizes the seed and chooses a suitable generator. Also toggles 
+/*
+ * Initalizes the seed and chooses a suitable generator. Also toggles
  * the msb flag. The msb flag is used to generate two distinct
  * cycles of random numbers and thus avoiding reuse of ids.
  *
- * This function is called from id_randomid() when needed, an 
+ * This function is called from id_randomid() when needed, an
  * application does not have to worry about it.
  */
-static void 
+static void
 ip_initid(void)
 {
 	u_int16_t j, i;
@@ -157,7 +157,7 @@
 	j = tmp % RU_N;
 	tmp = tmp >> 16;
 
-	/* 
+	/*
 	 * Do a fast gcd(j,RU_N-1), so we can find a j with
 	 * gcd(j, RU_N-1) == 1, giving a new generator for
 	 * RU_GEN^j mod RU_N
@@ -170,7 +170,7 @@
 
 		if (i>=PFAC_N)
 			noprime = 0;
-		else 
+		else
 			j = (j+1) % RU_N;
 	}
 
@@ -178,7 +178,7 @@
 	ru_counter = 0;
 
 	ru_reseed = time.tv_sec + RU_OUT;
-	ru_msb = ru_msb == 0x8000 ? 0 : 0x8000; 
+	ru_msb = ru_msb == 0x8000 ? 0 : 0x8000;
 }
 
 u_int16_t
Index: ip_input.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/ip_input.c,v
retrieving revision 1.275
diff -u -r1.275 ip_input.c
--- ip_input.c	18 Jun 2004 12:58:45 -0000	1.275
+++ ip_input.c	25 Jun 2004 03:18:26 -0000
@@ -106,8 +106,8 @@
     &ip_dosourceroute, 0, "Enable forwarding source routed IP packets");
 
 static int	ip_acceptsourceroute = 0;
-SYSCTL_INT(_net_inet_ip, IPCTL_ACCEPTSOURCEROUTE, accept_sourceroute, 
-    CTLFLAG_RW, &ip_acceptsourceroute, 0, 
+SYSCTL_INT(_net_inet_ip, IPCTL_ACCEPTSOURCEROUTE, accept_sourceroute,
+    CTLFLAG_RW, &ip_acceptsourceroute, 0,
     "Enable accepting source routed IP packets");
 
 int		ip_doopts = 1;	/* 0 = ignore, 1 = process, 2 = reject */
@@ -165,9 +165,9 @@
 extern	struct domain inetdomain;
 extern	struct protosw inetsw[];
 u_char	ip_protox[IPPROTO_MAX];
-struct	in_ifaddrhead in_ifaddrhead; 		/* first inet address */
+struct	in_ifaddrhead in_ifaddrhead;		/* first inet address */
 struct	in_ifaddrhashhead *in_ifaddrhashtbl;	/* inet addr hash table  */
-u_long 	in_ifaddrhmask;				/* mask for hash table */
+u_long	in_ifaddrhmask;				/* mask for hash table */
 
 SYSCTL_INT(_net_inet_ip, IPCTL_INTRQMAXLEN, intr_queue_maxlen, CTLFLAG_RW,
     &ipintrq.ifq_maxlen, 0, "Maximum size of the IP input queue");
@@ -320,20 +320,20 @@
 	args.eh = NULL;
 	args.oif = NULL;
 
-  	M_ASSERTPKTHDR(m);
-  	
+ 	M_ASSERTPKTHDR(m);
+ 	
 	args.next_hop = m_claim_next(m, PACKET_TAG_IPFORWARD);
 	args.rule = ip_dn_claim_rule(m);
-  
+
 	if (m->m_flags & M_FASTFWD_OURS) {
 		/* ip_fastforward firewall changed dest to local */
 		m->m_flags &= ~M_FASTFWD_OURS;	/* for reflected mbufs */
-  		goto ours;
-  	}
+ 		goto ours;
+ 	}
 
-  	if (args.rule) {	/* dummynet already filtered us */
-  		ip = mtod(m, struct ip *);
-  		hlen = ip->ip_hl << 2;
+ 	if (args.rule) {	/* dummynet already filtered us */
+ 		ip = mtod(m, struct ip *);
+ 		hlen = ip->ip_hl << 2;
 		goto iphack ;
 	}
 
@@ -449,7 +449,7 @@
 	 * - Pipe: pass pkt through dummynet.
 	 * - Wrap: fake packet's addr/port <unimpl.>
 	 * - Encapsulate: put it in another IP and send out. <unimp.>
- 	 */
+	 */
 
 iphack:
 
@@ -491,7 +491,7 @@
 		ip = mtod(m, struct ip *); /* just in case m changed */
 		if (i == 0 && args.next_hop == NULL)	/* common case */
 			goto pass;
-                if (DUMMYNET_LOADED && (i & IP_FW_PORT_DYNT_FLAG) != 0) {
+		if (DUMMYNET_LOADED && (i & IP_FW_PORT_DYNT_FLAG) != 0) {
 			/* Send packet to the appropriate pipe */
 			ip_dn_io_ptr(m, i&0xffff, DN_TO_IP_IN, &args);
 			return;
@@ -522,13 +522,13 @@
 	if (hlen > sizeof (struct ip) && ip_dooptions(m, 0, args.next_hop))
 		return;
 
-        /* greedy RSVP, snatches any PATH packet of the RSVP protocol and no
-         * matter if it is destined to another node, or whether it is 
-         * a multicast one, RSVP wants it! and prevents it from being forwarded
-         * anywhere else. Also checks if the rsvp daemon is running before
+	/* greedy RSVP, snatches any PATH packet of the RSVP protocol and no
+	 * matter if it is destined to another node, or whether it is
+	 * a multicast one, RSVP wants it! and prevents it from being forwarded
+	 * anywhere else. Also checks if the rsvp daemon is running before
 	 * grabbing the packet.
-         */
-	if (rsvp_on && ip->ip_p==IPPROTO_RSVP) 
+	 */
+	if (rsvp_on && ip->ip_p==IPPROTO_RSVP)
 		goto ours;
 
 	/*
@@ -561,7 +561,7 @@
 	 * to the loopback interface instead of the interface where
 	 * the packets are received.
 	 */
-	checkif = ip_checkinterface && (ipforwarding == 0) && 
+	checkif = ip_checkinterface && (ipforwarding == 0) &&
 	    m->m_pkthdr.rcvif != NULL &&
 	    ((m->m_pkthdr.rcvif->if_flags & IFF_LOOPBACK) == 0) &&
 	    (args.next_hop == NULL) && (dchg == 0);
@@ -575,7 +575,7 @@
 		 * arrived via the correct interface if checking is
 		 * enabled.
 		 */
-		if (IA_SIN(ia)->sin_addr.s_addr == pkt_dst.s_addr && 
+		if (IA_SIN(ia)->sin_addr.s_addr == pkt_dst.s_addr &&
 		    (!checkif || ia->ia_ifp == m->m_pkthdr.rcvif))
 			goto ours;
 	}
@@ -589,7 +589,7 @@
 	 */
 	if (m->m_pkthdr.rcvif != NULL &&
 	    m->m_pkthdr.rcvif->if_flags & IFF_BROADCAST) {
-	        TAILQ_FOREACH(ifa, &m->m_pkthdr.rcvif->if_addrhead, ifa_link) {
+		TAILQ_FOREACH(ifa, &m->m_pkthdr.rcvif->if_addrhead, ifa_link) {
 			if (ifa->ifa_addr->sa_family != AF_INET)
 				continue;
 			ia = ifatoia(ifa);
@@ -653,7 +653,7 @@
 	 */
 	if (m->m_pkthdr.rcvif && m->m_pkthdr.rcvif->if_type == IFT_FAITH) {
 		if (ip_keepfaith) {
-			if (ip->ip_p == IPPROTO_TCP || ip->ip_p == IPPROTO_ICMP) 
+			if (ip->ip_p == IPPROTO_TCP || ip->ip_p == IPPROTO_ICMP)
 				goto ours;
 		}
 		m_freem(m);
@@ -684,7 +684,7 @@
 			sp = ipsec_getpolicy(tdbi, IPSEC_DIR_INBOUND);
 		} else {
 			sp = ipsec_getpolicybyaddr(m, IPSEC_DIR_INBOUND,
-						   IP_FORWARDING, &error);   
+						   IP_FORWARDING, &error);
 		}
 		if (sp == NULL) {	/* NB: can happen if error */
 			splx(s);
@@ -736,7 +736,7 @@
 
 		/* If maxnipq is 0, never accept fragments. */
 		if (maxnipq == 0) {
-                	ipstat.ips_fragments++;
+	       	ipstat.ips_fragments++;
 			ipstat.ips_fragdropped++;
 			goto bad;
 		}
@@ -791,10 +791,10 @@
 		 */
 		ip->ip_len -= hlen;
 		if (ip->ip_off & IP_MF) {
-		        /*
-		         * Make sure that fragments have a data length
+			/*
+			 * Make sure that fragments have a data length
 			 * that's a non-zero multiple of 8 bytes.
-		         */
+			 */
 			if (ip->ip_len == 0 || (ip->ip_len & 0x7) != 0) {
 				IPQ_UNLOCK();
 				ipstat.ips_toosmall++; /* XXX */
@@ -902,7 +902,7 @@
 		 * done.  If so, then just pass it along.  This tag gets
 		 * set during AH, ESP, etc. input handling, before the
 		 * packet is returned to the ip input queue for delivery.
-		 */ 
+		 */
 		mtag = m_tag_find(m, PACKET_TAG_IPSEC_IN_DONE, NULL);
 		s = splnet();
 		if (mtag != NULL) {
@@ -910,7 +910,7 @@
 			sp = ipsec_getpolicy(tdbi, IPSEC_DIR_INBOUND);
 		} else {
 			sp = ipsec_getpolicybyaddr(m, IPSEC_DIR_INBOUND,
-						   IP_FORWARDING, &error);   
+						   IP_FORWARDING, &error);
 		}
 		if (sp != NULL) {
 			/*
@@ -1394,7 +1394,7 @@
 					 */
 nosourcerouting:
 					strcpy(buf, inet_ntoa(ip->ip_dst));
-					log(LOG_WARNING, 
+					log(LOG_WARNING,
 					    "attempted source route from %s to %s\n",
 					    inet_ntoa(ip->ip_src), buf);
 					type = ICMP_UNREACH;
@@ -1973,7 +1973,7 @@
 #endif
 				ipstat.ips_cantfrag++;
 				break;
-			} else 
+			} else
 #endif /*IPSEC || FAST_IPSEC*/
 		destifp = ia->ia_ifp;
 #if defined(IPSEC) || defined(FAST_IPSEC)
@@ -2075,7 +2075,7 @@
 		struct sockaddr_dl *sdp;
 		struct sockaddr_dl *sdl2 = &sdlbuf.sdl;
 
-		if (((ifp = m->m_pkthdr.rcvif)) 
+		if (((ifp = m->m_pkthdr.rcvif))
 		&& ( ifp->if_index && (ifp->if_index <= if_index))) {
 			sdp = (struct sockaddr_dl *)
 			    (ifaddr_byindex(ifp->if_index)->ifa_addr);
@@ -2167,7 +2167,7 @@
 		return;
 	}
 
-	if (ip_rsvpd != NULL) { 
+	if (ip_rsvpd != NULL) {
 		rip_input(m, off);
 		return;
 	}
Index: ip_mroute.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/ip_mroute.c,v
retrieving revision 1.101
diff -u -r1.101 ip_mroute.c
--- ip_mroute.c	24 Jun 2004 02:01:48 -0000	1.101
+++ ip_mroute.c	25 Jun 2004 03:18:26 -0000
@@ -132,7 +132,7 @@
 
 /*
  * Define the token bucket filter structures
- * tbftable -> each vif has one of these for storing info 
+ * tbftable -> each vif has one of these for storing info
  */
 
 static struct tbf tbftable[MAXVIFS];
@@ -221,7 +221,7 @@
 	0,			/* tos */
 	sizeof(struct ip),	/* total length */
 	0,			/* id */
-	0,			/* frag offset */ 
+	0,			/* frag offset */
 	ENCAP_TTL,
 	IPPROTO_PIM,
 	0,			/* checksum */
@@ -953,7 +953,7 @@
 		    return EIO;	/* XXX */
 		}
 		for (i = 0; i < MAXVIFS; ++i) {
-		    if_initname(&multicast_decap_if[i], "mdecap", i);    
+		    if_initname(&multicast_decap_if[i], "mdecap", i);
 		}
 	    }
 	    /*
@@ -1026,12 +1026,12 @@
 
     if (mrtdebug)
 	log(LOG_DEBUG, "add_vif #%d, lcladdr %lx, %s %lx, thresh %x, rate %d\n",
-	    vifcp->vifc_vifi, 
+	    vifcp->vifc_vifi,
 	    (u_long)ntohl(vifcp->vifc_lcl_addr.s_addr),
 	    (vifcp->vifc_flags & VIFF_TUNNEL) ? "rmtaddr" : "mask",
 	    (u_long)ntohl(vifcp->vifc_rmt_addr.s_addr),
 	    vifcp->vifc_threshold,
-	    vifcp->vifc_rate_limit);    
+	    vifcp->vifc_rate_limit);
 
     return 0;
 }
@@ -1166,7 +1166,7 @@
 	return 0;
     }
 
-    /* 
+    /*
      * Find the entry for which the upcall was made and update
      */
     hash = MFCHASH(mfccp->mfcc_origin.s_addr, mfccp->mfcc_mcastgrp.s_addr);
@@ -1175,7 +1175,7 @@
 	if ((rt->mfc_origin.s_addr == mfccp->mfcc_origin.s_addr) &&
 		(rt->mfc_mcastgrp.s_addr == mfccp->mfcc_mcastgrp.s_addr) &&
 		(rt->mfc_stall != NULL)) {
-  
+
 	    if (nstl++)
 		log(LOG_ERR, "add_mfc %s o %lx g %lx p %x dbx %p\n",
 		    "multiple kernel entries",
@@ -1234,11 +1234,11 @@
 		VIF_UNLOCK();
 		return ENOBUFS;
 	    }
-	    
+	
 	    init_mfc_params(rt, mfccp);
 	    rt->mfc_expire     = 0;
 	    rt->mfc_stall      = NULL;
-	    
+	
 	    rt->mfc_bw_meter = NULL;
 	    /* insert new entry at head of hash chain */
 	    rt->mfc_next = mfctable[hash];
@@ -1256,11 +1256,11 @@
 static int
 del_mfc(struct mfcctl2 *mfccp)
 {
-    struct in_addr 	origin;
-    struct in_addr 	mcastgrp;
-    struct mfc 		*rt;
-    struct mfc	 	**nptr;
-    u_long 		hash;
+    struct in_addr	origin;
+    struct in_addr	mcastgrp;
+    struct mfc		*rt;
+    struct mfc		**nptr;
+    u_long		hash;
     struct bw_meter	*list;
 
     origin = mfccp->mfcc_origin;
@@ -1484,11 +1484,11 @@
 	    if (mm == NULL)
 		goto fail1;
 
-	    /* 
-	     * Send message to routing daemon to install 
+	    /*
+	     * Send message to routing daemon to install
 	     * a route into the kernel table
 	     */
-	    
+	
 	    im = mtod(mm, struct igmpmsg *);
 	    im->im_msgtype = IGMPMSG_NOCACHE;
 	    im->im_mbz = 0;
@@ -1557,8 +1557,8 @@
 	    *p = rte;
 	}
 
-	rte->m 			= mb0;
-	rte->ifp 		= ifp;
+	rte->m			= mb0;
+	rte->ifp		= ifp;
 	rte->next		= NULL;
 
 	MFC_UNLOCK();
@@ -1663,7 +1663,7 @@
 #ifdef PIM
 	if (viftable[xmt_vif].v_flags & VIFF_REGISTER)
 	    pim_register_send(ip, viftable + xmt_vif, m, rt);
-        else
+	else
 #endif
 	MC_SEND(ip, viftable + xmt_vif, m);
 	return 1;
@@ -1677,7 +1677,7 @@
 	/* came in the wrong interface */
 	if (mrtdebug & DEBUG_FORWARD)
 	    log(LOG_DEBUG, "wrong if: ifp %p vifi %d vififp %p\n",
-		(void *)ifp, vifi, (void *)viftable[vifi].v_ifp); 
+		(void *)ifp, vifi, (void *)viftable[vifi].v_ifp);
 	++mrtstat.mrts_wrong_if;
 	++rt->mfc_wrong_if;
 	/*
@@ -1952,7 +1952,7 @@
     }
 }
 
-/* 
+/*
  * adds a packet to the queue at the interface
  */
 static void
@@ -1979,7 +1979,7 @@
     t->tbf_q_len++;
 }
 
-/* 
+/*
  * processes the queue at the interface
  */
 static void
@@ -2016,7 +2016,7 @@
 {
     struct vif *vifp = xvifp;
 
-    if (ip_mrouter == NULL) 
+    if (ip_mrouter == NULL)
 	return;
     VIF_LOCK();
     tbf_update_tokens(vifp);
@@ -2088,7 +2088,7 @@
 	error = ip_output(m, NULL, &ro, IP_FORWARDING, &imo, NULL);
 
 	if (mrtdebug & DEBUG_XMIT)
-	    log(LOG_DEBUG, "phyint_send on vif %d err %d\n", 
+	    log(LOG_DEBUG, "phyint_send on vif %d err %d\n",
 		(int)(vifp - viftable), error);
     }
 }
@@ -2160,7 +2160,7 @@
 }
 
 /*
- * End of token bucket filter modifications 
+ * End of token bucket filter modifications
  */
 
 static int
@@ -2174,7 +2174,7 @@
     error = sooptcopyin(sopt, &vifi, sizeof vifi, sizeof vifi);
     if (error)
 	return error;
- 
+
     VIF_LOCK();
 
     if (vifi < 0 || vifi >= numvifs) {	/* Error if vif is invalid */
@@ -2347,10 +2347,10 @@
 	flags |= BW_METER_GEQ;
     if (req->bu_flags & BW_UPCALL_LEQ)
 	flags |= BW_METER_LEQ;
-    
+
     return flags;
 }
- 
+
 /*
  * Add a bw_meter entry
  */
@@ -2363,10 +2363,10 @@
     struct timeval now;
     struct bw_meter *x;
     uint32_t flags;
-    
+
     if (!(mrt_api_config & MRT_MFC_BW_UPCALL))
 	return EOPNOTSUPP;
-    
+
     /* Test if the flags are valid */
     if (!(req->bu_flags & (BW_UPCALL_UNIT_PACKETS | BW_UPCALL_UNIT_BYTES)))
 	return EINVAL;
@@ -2375,11 +2375,11 @@
     if ((req->bu_flags & (BW_UPCALL_GEQ | BW_UPCALL_LEQ))
 	    == (BW_UPCALL_GEQ | BW_UPCALL_LEQ))
 	return EINVAL;
-    
+
     /* Test if the threshold time interval is valid */
     if (BW_TIMEVALCMP(&req->bu_threshold.b_time, &delta, <))
 	return EINVAL;
-    
+
     flags = compute_bw_meter_flags(req);
 
     /*
@@ -2401,14 +2401,14 @@
 	    return 0;		/* XXX Already installed */
 	}
     }
-    
+
     /* Allocate the new bw_meter entry */
     x = (struct bw_meter *)malloc(sizeof(*x), M_BWMETER, M_NOWAIT);
     if (x == NULL) {
 	MFC_UNLOCK();
 	return ENOBUFS;
     }
-    
+
     /* Set the new bw_meter entry */
     x->bm_threshold.b_time = req->bu_threshold.b_time;
     GET_TIME(now);
@@ -2420,14 +2420,14 @@
     x->bm_flags = flags;
     x->bm_time_next = NULL;
     x->bm_time_hash = BW_METER_BUCKETS;
-    
+
     /* Add the new bw_meter entry to the front of entries for this MFC */
     x->bm_mfc = mfc;
     x->bm_mfc_next = mfc->mfc_bw_meter;
     mfc->mfc_bw_meter = x;
     schedule_bw_meter(x, &now);
     MFC_UNLOCK();
-    
+
     return 0;
 }
 
@@ -2451,10 +2451,10 @@
 {
     struct mfc *mfc;
     struct bw_meter *x;
-    
+
     if (!(mrt_api_config & MRT_MFC_BW_UPCALL))
 	return EOPNOTSUPP;
-    
+
     MFC_LOCK();
     /* Find the corresponding MFC entry */
     mfc = mfc_find(req->bu_src.s_addr, req->bu_dst.s_addr);
@@ -2514,12 +2514,12 @@
 bw_meter_receive_packet(struct bw_meter *x, int plen, struct timeval *nowp)
 {
     struct timeval delta;
-    
+
     MFC_LOCK_ASSERT();
 
     delta = *nowp;
     BW_TIMEVALDECR(&delta, &x->bm_start_time);
-    
+
     if (x->bm_flags & BW_METER_GEQ) {
 	/*
 	 * Processing for ">=" type of bw_meter entry
@@ -2607,21 +2607,21 @@
 {
     struct timeval delta;
     struct bw_upcall *u;
-    
+
     MFC_LOCK_ASSERT();
-    
+
     /*
-     * Compute the measured time interval 
+     * Compute the measured time interval
      */
     delta = *nowp;
     BW_TIMEVALDECR(&delta, &x->bm_start_time);
-    
+
     /*
      * If there are too many pending upcalls, deliver them now
      */
     if (bw_upcalls_n >= BW_UPCALLS_MAX)
 	bw_upcalls_send();
-    
+
     /*
      * Set the bw_upcall entry
      */
@@ -2662,14 +2662,14 @@
 				      0,		/* unused3 */
 				      { 0 },		/* im_src  */
 				      { 0 } };		/* im_dst  */
-    
+
     MFC_LOCK_ASSERT();
 
     if (bw_upcalls_n == 0)
 	return;			/* No pending upcalls */
 
     bw_upcalls_n = 0;
-    
+
     /*
      * Allocate a new mbuf, initialize it with the header and
      * the payload for the pending calls.
@@ -2679,11 +2679,11 @@
 	log(LOG_WARNING, "bw_upcalls_send: cannot allocate mbuf\n");
 	return;
     }
-    
+
     m->m_len = m->m_pkthdr.len = 0;
     m_copyback(m, 0, sizeof(struct igmpmsg), (caddr_t)&igmpmsg);
     m_copyback(m, sizeof(struct igmpmsg), len, (caddr_t)&bw_upcalls[0]);
-    
+
     /*
      * Send the upcalls
      * XXX do we need to set the address in k_igmpsrc ?
@@ -2717,12 +2717,12 @@
 schedule_bw_meter(struct bw_meter *x, struct timeval *nowp)
 {
     int time_hash;
-    
+
     MFC_LOCK_ASSERT();
 
     if (!(x->bm_flags & BW_METER_LEQ))
 	return;		/* XXX: we schedule timers only for "<=" entries */
-    
+
     /*
      * Reset the bw_meter entry
      */
@@ -2730,7 +2730,7 @@
     x->bm_measured.b_packets = 0;
     x->bm_measured.b_bytes = 0;
     x->bm_flags &= ~BW_METER_UPCALL_DELIVERED;
-    
+
     /*
      * Compute the timeout hash value and insert the entry
      */
@@ -2749,32 +2749,32 @@
 {
     int time_hash;
     struct bw_meter *prev, *tmp;
-    
+
     MFC_LOCK_ASSERT();
 
     if (!(x->bm_flags & BW_METER_LEQ))
 	return;		/* XXX: we schedule timers only for "<=" entries */
-    
+
     /*
      * Compute the timeout hash value and delete the entry
      */
     time_hash = x->bm_time_hash;
     if (time_hash >= BW_METER_BUCKETS)
 	return;		/* Entry was not scheduled */
-    
+
     for (prev = NULL, tmp = bw_meter_timers[time_hash];
 	     tmp != NULL; prev = tmp, tmp = tmp->bm_time_next)
 	if (tmp == x)
 	    break;
-    
+
     if (tmp == NULL)
 	panic("unschedule_bw_meter: bw_meter entry not found");
-    
+
     if (prev != NULL)
 	prev->bm_time_next = x->bm_time_next;
     else
 	bw_meter_timers[time_hash] = x->bm_time_next;
-    
+
     x->bm_time_next = NULL;
     x->bm_time_hash = BW_METER_BUCKETS;
 }
@@ -2797,7 +2797,7 @@
     uint32_t loops;
     int i;
     struct timeval now, process_endtime;
-    
+
     GET_TIME(now);
     if (last_tv_sec == now.tv_sec)
 	return;		/* nothing to do */
@@ -2827,7 +2827,7 @@
 	while (tmp_list != NULL) {
 	    x = tmp_list;
 	    tmp_list = tmp_list->bm_time_next;
-	    
+	
 	    /* Test if the time interval is over */
 	    process_endtime = x->bm_start_time;
 	    BW_TIMEVALADD(&process_endtime, &x->bm_threshold.b_time);
@@ -2850,7 +2850,7 @@
 		
 		continue;
 	    }
-	    
+	
 	    /*
 	     * Test if we should deliver an upcall
 	     */
@@ -2861,14 +2861,14 @@
 		/* Prepare an upcall for delivery */
 		bw_meter_prepare_upcall(x, &now);
 	    }
-	    
+	
 	    /*
 	     * Reschedule for next processing
 	     */
 	    schedule_bw_meter(x, &now);
 	}
     }
-    
+
     /* Send all upcalls that are pending delivery */
     bw_upcalls_send();
 
@@ -2884,7 +2884,7 @@
     MFC_LOCK();
     bw_upcalls_send();
     MFC_UNLOCK();
-    
+
     callout_reset(&bw_upcalls_ch, BW_UPCALLS_PERIOD,
 	expire_bw_upcalls_send, NULL);
 }
@@ -2898,7 +2898,7 @@
 {
     if (mrt_api_config & MRT_MFC_BW_UPCALL)
 	bw_meter_process();
-    
+
     callout_reset(&bw_meter_ch, BW_METER_PERIOD, expire_bw_meter_process, NULL);
 }
 
@@ -2916,14 +2916,14 @@
 	struct mbuf *m, struct mfc *rt)
 {
     struct mbuf *mb_copy, *mm;
-    
+
     if (mrtdebug & DEBUG_PIM)
-        log(LOG_DEBUG, "pim_register_send: ");
-    
+	log(LOG_DEBUG, "pim_register_send: ");
+
     mb_copy = pim_register_prepare(ip, m);
     if (mb_copy == NULL)
 	return ENOBUFS;
-    
+
     /*
      * Send all the fragments. Note that the mbuf for each fragment
      * is freed by the sending machinery.
@@ -2942,7 +2942,7 @@
 	    }
 	}
     }
-    
+
     return 0;
 }
 
@@ -2956,7 +2956,7 @@
 {
     struct mbuf *mb_copy = NULL;
     int mtu;
-    
+
     /* Take care of delayed checksums */
     if (m->m_pkthdr.csum_flags & CSUM_DELAY_DATA) {
 	in_delayed_cksum(m);
@@ -2973,14 +2973,14 @@
     mb_copy = m_pullup(mb_copy, ip->ip_hl << 2);
     if (mb_copy == NULL)
 	return NULL;
-    
+
     /* take care of the TTL */
     ip = mtod(mb_copy, struct ip *);
     --ip->ip_ttl;
-    
+
     /* Compute the MTU after the PIM Register encapsulation */
     mtu = 0xffff - sizeof(pim_encap_iphdr) - sizeof(pim_encap_pimhdr);
-    
+
     if (ip->ip_len <= mtu) {
 	/* Turn the IP header into a valid one */
 	ip->ip_len = htons(ip->ip_len);
@@ -3008,7 +3008,7 @@
     int len = ntohs(ip->ip_len);
     struct igmpmsg *im;
     struct sockaddr_in k_igmpsrc = { sizeof k_igmpsrc, AF_INET };
-    
+
     VIF_LOCK_ASSERT();
 
     /*
@@ -3023,7 +3023,7 @@
     mb_first->m_pkthdr.len = len + sizeof(struct igmpmsg);
     mb_first->m_len = sizeof(struct igmpmsg);
     mb_first->m_next = mb_copy;
-    
+
     /* Send message to routing daemon */
     im = mtod(mb_first, struct igmpmsg *);
     im->im_msgtype	= IGMPMSG_WHOLEPKT;
@@ -3031,11 +3031,11 @@
     im->im_vif		= vifp - viftable;
     im->im_src		= ip->ip_src;
     im->im_dst		= ip->ip_dst;
-    
+
     k_igmpsrc.sin_addr	= ip->ip_src;
-    
+
     mrtstat.mrts_upcalls++;
-    
+
     if (socket_send(ip_mrouter, mb_first, &k_igmpsrc) < 0) {
 	if (mrtdebug & DEBUG_PIM)
 	    log(LOG_WARNING,
@@ -3043,11 +3043,11 @@
 	++mrtstat.mrts_upq_sockfull;
 	return ENOBUFS;
     }
-    
+
     /* Keep statistics */
     pimstat.pims_snd_registers_msgs++;
     pimstat.pims_snd_registers_bytes += len;
-    
+
     return 0;
 }
 
@@ -3063,14 +3063,14 @@
     struct pim_encap_pimhdr *pimhdr;
     int len = ntohs(ip->ip_len);
     vifi_t vifi = rt->mfc_parent;
-    
+
     VIF_LOCK_ASSERT();
-    
+
     if ((vifi >= numvifs) || (viftable[vifi].v_lcl_addr.s_addr == 0)) {
 	m_freem(mb_copy);
 	return EADDRNOTAVAIL;		/* The iif vif is invalid */
     }
-    
+
     /*
      * Add a new mbuf with the encapsulating header
      */
@@ -3084,7 +3084,7 @@
     mb_first->m_next = mb_copy;
 
     mb_first->m_pkthdr.len = len + mb_first->m_len;
-    
+
     /*
      * Fill in the encapsulating IP and PIM header
      */
@@ -3111,20 +3111,20 @@
     /* If the iif crosses a border, set the Border-bit */
     if (rt->mfc_flags[vifi] & MRT_MFC_FLAGS_BORDER_VIF & mrt_api_config)
 	pimhdr->flags |= htonl(PIM_BORDER_REGISTER);
-    
+
     mb_first->m_data += sizeof(pim_encap_iphdr);
     pimhdr->pim.pim_cksum = in_cksum(mb_first, sizeof(pim_encap_pimhdr));
     mb_first->m_data -= sizeof(pim_encap_iphdr);
-    
+
     if (vifp->v_rate_limit == 0)
 	tbf_send_packet(vifp, mb_first);
     else
 	tbf_control(vifp, mb_first, ip, ip_outer->ip_len);
-    
+
     /* Keep statistics */
     pimstat.pims_snd_registers_msgs++;
     pimstat.pims_snd_registers_bytes += len;
-    
+
     return 0;
 }
 
@@ -3145,11 +3145,11 @@
     int datalen = ip->ip_len;
     int ip_tos;
     int iphlen = off;
-    
+
     /* Keep statistics */
     pimstat.pims_rcv_total_msgs++;
     pimstat.pims_rcv_total_bytes += datalen;
-    
+
     /*
      * Validate lengths
      */
@@ -3160,12 +3160,12 @@
 	m_freem(m);
 	return;
     }
-    
+
     /*
      * If the packet is at least as big as a REGISTER, go agead
      * and grab the PIM REGISTER header size, to avoid another
      * possible m_pullup() later.
-     * 
+     *
      * PIM_MINLEN       == pimhdr + u_int32_t == 4 + 4 = 8
      * PIM_REG_MINLEN   == pimhdr + reghdr + encap_iphdr == 4 + 4 + 20 = 28
      */
@@ -3182,12 +3182,12 @@
     /* m_pullup() may have given us a new mbuf so reset ip. */
     ip = mtod(m, struct ip *);
     ip_tos = ip->ip_tos;
-    
+
     /* adjust mbuf to point to the PIM header */
     m->m_data += iphlen;
     m->m_len  -= iphlen;
     pim = mtod(m, struct pim *);
-    
+
     /*
      * Validate checksum. If PIM REGISTER, exclude the data packet.
      *
@@ -3213,11 +3213,11 @@
 	m_freem(m);
 	return;
     }
-    
+
     /* restore mbuf back to the outer IP */
     m->m_data -= iphlen;
     m->m_len  += iphlen;
-    
+
     if (PIM_VT_T(pim->pim_vt) == PIM_REGISTER) {
 	/*
 	 * Since this is a REGISTER, we'll make a copy of the register
@@ -3301,14 +3301,14 @@
 	    /* Outer TOS -> inner TOS */
 	    encap_ip->ip_tos = ip_tos;
 	    /* Recompute the inner header checksum. Sigh... */
-	    
+	
 	    /* adjust mbuf to point to the inner IP header */
 	    m->m_data += (iphlen + PIM_MINLEN);
 	    m->m_len  -= (iphlen + PIM_MINLEN);
-	    
+	
 	    encap_ip->ip_sum = 0;
 	    encap_ip->ip_sum = in_cksum(m, encap_ip->ip_hl << 2);
-	    
+	
 	    /* restore mbuf to point back to the outer IP header */
 	    m->m_data -= (iphlen + PIM_MINLEN);
 	    m->m_len  += (iphlen + PIM_MINLEN);
@@ -3316,7 +3316,7 @@
 
 	/*
 	 * Decapsulate the inner IP packet and loopback to forward it
-	 * as a normal multicast packet. Also, make a copy of the 
+	 * as a normal multicast packet. Also, make a copy of the
 	 *     outer_iphdr + pimhdr + reghdr + encap_iphdr
 	 * to pass to the daemon later, so it can take the appropriate
 	 * actions (e.g., send back PIM_REGISTER_STOP).
@@ -3355,7 +3355,7 @@
 	m = mcp;
     }
 
-pim_input_to_daemon:    
+pim_input_to_daemon:
     /*
      * Pass the PIM message up to the daemon; if it is a Register message,
      * pass the 'head' only up to the daemon. This includes the
Index: ip_mroute.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/ip_mroute.h,v
retrieving revision 1.22
diff -u -r1.22 ip_mroute.h
--- ip_mroute.h	7 Apr 2004 20:46:13 -0000	1.22
+++ ip_mroute.h	25 Jun 2004 03:18:26 -0000
@@ -94,9 +94,9 @@
  * (MRT_DEL_VIF takes a single vifi_t argument.)
  */
 struct vifctl {
-	vifi_t	vifc_vifi;	    	/* the index of the vif to be added */
-	u_char	vifc_flags;     	/* VIFF_ flags defined below */
-	u_char	vifc_threshold; 	/* min ttl required to forward on vif */
+	vifi_t	vifc_vifi;	   	/* the index of the vif to be added */
+	u_char	vifc_flags;    	/* VIFF_ flags defined below */
+	u_char	vifc_threshold;	/* min ttl required to forward on vif */
 	u_int	vifc_rate_limit;	/* max rate */
 	struct	in_addr vifc_lcl_addr;	/* local interface address */
 	struct	in_addr vifc_rmt_addr;	/* remote address (tunnels only) */
@@ -112,9 +112,9 @@
  */
 struct mfcctl {
     struct in_addr  mfcc_origin;		/* ip origin of mcasts       */
-    struct in_addr  mfcc_mcastgrp; 		/* multicast group associated*/
-    vifi_t	    mfcc_parent;   		/* incoming vif              */
-    u_char	    mfcc_ttls[MAXVIFS]; 	/* forwarding ttls on vifs   */
+    struct in_addr  mfcc_mcastgrp;		/* multicast group associated*/
+    vifi_t	    mfcc_parent;  		/* incoming vif              */
+    u_char	    mfcc_ttls[MAXVIFS];	/* forwarding ttls on vifs   */
 };
 
 /*
@@ -126,7 +126,7 @@
 	struct in_addr	mfcc_origin;		/* ip origin of mcasts	     */
 	struct in_addr	mfcc_mcastgrp;		/* multicast group associated*/
 	vifi_t		mfcc_parent;		/* incoming vif		     */
-	u_char		mfcc_ttls[MAXVIFS]; 	/* forwarding ttls on vifs   */
+	u_char		mfcc_ttls[MAXVIFS];	/* forwarding ttls on vifs   */
 
 	/* extension fields */
 	uint8_t		mfcc_flags[MAXVIFS];	/* the MRT_MFC_FLAGS_* flags */
@@ -165,7 +165,7 @@
  *
  * Measurement works as follows:
  *
- * For >= measurements: 
+ * For >= measurements:
  * The first packet marks the start of a measurement interval.
  * During an interval we count packets and bytes, and when we
  * pass the threshold we deliver an upcall and we are done.
@@ -217,10 +217,10 @@
     u_long	mrts_cant_tunnel;	/* no room for tunnel options      */
     u_long	mrts_wrong_if;		/* arrived on wrong interface	   */
     u_long	mrts_upq_ovflw;		/* upcall Q overflow		   */
-    u_long	mrts_cache_cleanups;	/* # entries with no upcalls 	   */
-    u_long  	mrts_drop_sel;     	/* pkts dropped selectively        */
-    u_long  	mrts_q_overflow;    	/* pkts dropped - Q overflow       */
-    u_long  	mrts_pkt2large;     	/* pkts dropped - size > BKT SIZE  */
+    u_long	mrts_cache_cleanups;	/* # entries with no upcalls	   */
+    u_long 	mrts_drop_sel;    	/* pkts dropped selectively        */
+    u_long 	mrts_q_overflow;   	/* pkts dropped - Q overflow       */
+    u_long 	mrts_pkt2large;    	/* pkts dropped - size > BKT SIZE  */
     u_long	mrts_upq_sockfull;	/* upcalls dropped - socket full */
 };
 
@@ -245,19 +245,19 @@
     u_long ibytes;		/* Input byte count on vif		*/
     u_long obytes;		/* Output byte count on vif		*/
 };
-    
+
 
 /*
  * The kernel's virtual-interface structure.
  */
 struct vif {
-    u_char   		v_flags;     	/* VIFF_ flags defined above         */
-    u_char   		v_threshold;	/* min ttl required to forward on vif*/
-    u_int      		v_rate_limit; 	/* max rate			     */
-    struct tbf 	       *v_tbf;       	/* token bucket structure at intf.   */
-    struct in_addr 	v_lcl_addr;   	/* local interface address           */
-    struct in_addr 	v_rmt_addr;   	/* remote address (tunnels only)     */
-    struct ifnet       *v_ifp;	     	/* pointer to interface              */
+    u_char  		v_flags;    	/* VIFF_ flags defined above         */
+    u_char  		v_threshold;	/* min ttl required to forward on vif*/
+    u_int     		v_rate_limit;	/* max rate			     */
+    struct tbf	       *v_tbf;      	/* token bucket structure at intf.   */
+    struct in_addr	v_lcl_addr;  	/* local interface address           */
+    struct in_addr	v_rmt_addr;  	/* remote address (tunnels only)     */
+    struct ifnet       *v_ifp;	    	/* pointer to interface              */
     u_long		v_pkt_in;	/* # pkts in on interface            */
     u_long		v_pkt_out;	/* # pkts out on interface           */
     u_long		v_bytes_in;	/* # bytes in on interface	     */
@@ -268,15 +268,15 @@
 };
 
 /*
- * The kernel's multicast forwarding cache entry structure 
- * (A field for the type of service (mfc_tos) is to be added 
+ * The kernel's multicast forwarding cache entry structure
+ * (A field for the type of service (mfc_tos) is to be added
  * at a future point)
  */
 struct mfc {
 	struct in_addr	mfc_origin;		/* IP origin of mcasts	     */
-	struct in_addr  mfc_mcastgrp;  		/* multicast group associated*/
-	vifi_t		mfc_parent; 		/* incoming vif              */
-	u_char		mfc_ttls[MAXVIFS]; 	/* forwarding ttls on vifs   */
+	struct in_addr  mfc_mcastgrp; 		/* multicast group associated*/
+	vifi_t		mfc_parent;		/* incoming vif              */
+	u_char		mfc_ttls[MAXVIFS];	/* forwarding ttls on vifs   */
 	u_long		mfc_pkt_cnt;		/* pkt count for src-grp     */
 	u_long		mfc_byte_cnt;		/* byte count for src-grp    */
 	u_long		mfc_wrong_if;		/* wrong if for src-grp	     */
@@ -311,7 +311,7 @@
  * Argument structure used for pkt info. while upcall is made
  */
 struct rtdetq {
-    struct mbuf 	*m;		/* A copy of the packet		    */
+    struct mbuf	*m;		/* A copy of the packet		    */
     struct ifnet	*ifp;		/* Interface pkt came in on	    */
     vifi_t		xmt_vif;	/* Saved copy of imo_multicast_vif  */
     struct rtdetq	*next;		/* Next in list of packets          */
@@ -327,19 +327,19 @@
 #define MAX_UPQ	4		/* max. no of pkts in upcall Q */
 
 /*
- * Token Bucket filter code 
+ * Token Bucket filter code
  */
-#define MAX_BKT_SIZE    10000             /* 10K bytes size 		*/
-#define MAXQSIZE        10                /* max # of pkts in queue 	*/
+#define MAX_BKT_SIZE    10000             /* 10K bytes size		*/
+#define MAXQSIZE        10                /* max # of pkts in queue	*/
 
 /*
  * the token bucket filter at each vif
  */
 struct tbf
 {
-    struct timeval tbf_last_pkt_t; /* arr. time of last pkt 	*/
-    u_long tbf_n_tok;      	/* no of tokens in bucket 	*/
-    u_long tbf_q_len;    	/* length of queue at this vif	*/
+    struct timeval tbf_last_pkt_t; /* arr. time of last pkt	*/
+    u_long tbf_n_tok;     	/* no of tokens in bucket	*/
+    u_long tbf_q_len;   	/* length of queue at this vif	*/
     u_long tbf_max_q_len;	/* max. queue length		*/
     struct mbuf *tbf_q;		/* Packet queue			*/
     struct mbuf *tbf_t;		/* tail-insertion pointer	*/
@@ -359,7 +359,7 @@
 #define BW_METER_UNIT_BYTES	(1 << 1)	/* threshold (in bytes)      */
 #define BW_METER_GEQ		(1 << 2)	/* upcall if bw >= threshold */
 #define BW_METER_LEQ		(1 << 3)	/* upcall if bw <= threshold */
-#define BW_METER_USER_FLAGS 	(BW_METER_UNIT_PACKETS |		\
+#define BW_METER_USER_FLAGS	(BW_METER_UNIT_PACKETS |		\
 				 BW_METER_UNIT_BYTES |			\
 				 BW_METER_GEQ |				\
 				 BW_METER_LEQ)
Index: ip_output.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/ip_output.c,v
retrieving revision 1.220
diff -u -r1.220 ip_output.c
--- ip_output.c	24 Jun 2004 02:05:47 -0000	1.220
+++ ip_output.c	25 Jun 2004 03:18:26 -0000
@@ -599,7 +599,7 @@
 	}
 	/*
 	 * There are four return cases:
-	 *    sp != NULL	 	    apply IPsec policy
+	 *    sp != NULL		    apply IPsec policy
 	 *    sp == NULL, error == 0	    no IPsec handling needed
 	 *    sp == NULL, error == -EINVAL  discard packet w/o error
 	 *    sp == NULL, error != 0	    discard packet, report error
@@ -685,7 +685,7 @@
 		/*
 		 * If deferred crypto processing is needed, check that
 		 * the interface supports it.
-		 */ 
+		 */
 		mtag = m_tag_find(m, PACKET_TAG_IPSEC_OUT_CRYPTO_NEEDED, NULL);
 		if (mtag != NULL && (ifp->if_capenable & IFCAP_IPSEC) == 0) {
 			/* notify IPsec to do its own crypto */
@@ -704,7 +704,7 @@
 	 * - Firewall: deny/allow/etc.
 	 * - Wrap: fake packet's addr/port <unimpl.>
 	 * - Encapsulate: put it in another IP and send out. <unimp.>
-	 */ 
+	 */
 #ifdef PFIL_HOOKS
 	/*
 	 * Run through list of hooks for output packets.
@@ -729,7 +729,7 @@
 		m = args.m;
 		dst = args.next_hop;
 
-                /*
+		/*
 		 * On return we must do the following:
 		 * m == NULL	-> drop the pkt (old interface, deprecated)
 		 * (off & IP_FW_PORT_DENY_FLAG)	-> drop the pkt (new interface)
@@ -753,16 +753,16 @@
 		ip = mtod(m, struct ip *);
 		if (off == 0 && dst == old)		/* common case */
 			goto pass;
-                if (DUMMYNET_LOADED && (off & IP_FW_PORT_DYNT_FLAG) != 0) {
+		if (DUMMYNET_LOADED && (off & IP_FW_PORT_DYNT_FLAG) != 0) {
 			/*
 			 * pass the pkt to dummynet. Need to include
 			 * pipe number, m, ifp, ro, dst because these are
 			 * not recomputed in the next pass.
 			 * All other parameters have been already used and
-			 * so they are not needed anymore. 
+			 * so they are not needed anymore.
 			 * XXX note: if the ifp or ro entry are deleted
 			 * while a pkt is in dummynet, we are in trouble!
-			 */ 
+			 */
 			args.ro = ro;
 			args.dst = dst;
 			args.flags = flags;
@@ -851,14 +851,14 @@
 
 			/*
 			 * We need to figure out if we have been forwarded
-			 * to a local socket. If so, then we should somehow 
+			 * to a local socket. If so, then we should somehow
 			 * "loop back" to ip_input, and get directed to the
 			 * PCB as if we had received this packet. This is
 			 * because it may be dificult to identify the packets
 			 * you want to forward until they are being output
 			 * and have selected an interface. (e.g. locally
 			 * initiated packets) If we used the loopback inteface,
-			 * we would not be able to control what happens 
+			 * we would not be able to control what happens
 			 * as the packet runs through ip_input() as
 			 * it is done through an ISR.
 			 */
@@ -941,13 +941,13 @@
 			goto pass ;
 		}
 
-                /*
-                 * if we get here, none of the above matches, and 
-                 * we have to drop the pkt
-                 */
+		/*
+		 * if we get here, none of the above matches, and
+		 * we have to drop the pkt
+		 */
 		m_freem(m);
-                error = EACCES; /* not sure this is the right error msg */
-                goto done;
+		error = EACCES; /* not sure this is the right error msg */
+		goto done;
 	}
 
 pass:
@@ -1120,10 +1120,10 @@
 	}
 
 	if (len > PAGE_SIZE) {
-		/* 
-		 * Fragment large datagrams such that each segment 
-		 * contains a multiple of PAGE_SIZE amount of data, 
-		 * plus headers. This enables a receiver to perform 
+		/*
+		 * Fragment large datagrams such that each segment
+		 * contains a multiple of PAGE_SIZE amount of data,
+		 * plus headers. This enables a receiver to perform
 		 * page-flipping zero-copy optimizations.
 		 *
 		 * XXX When does this help given that sender and receiver
@@ -1137,7 +1137,7 @@
 			off += m->m_len;
 
 		/*
-		 * firstlen (off - hlen) must be aligned on an 
+		 * firstlen (off - hlen) must be aligned on an
 		 * 8-byte boundary
 		 */
 		if (off < hlen)
@@ -1551,7 +1551,7 @@
 		case IP_OPTIONS:
 		case IP_RETOPTS:
 			if (inp->inp_options)
-				error = sooptcopyout(sopt, 
+				error = sooptcopyout(sopt,
 						     mtod(inp->inp_options,
 							  char *),
 						     inp->inp_options->m_len);
@@ -1901,7 +1901,7 @@
 			imo->imo_multicast_ttl = ttl;
 		} else {
 			u_int ttl;
-			error = sooptcopyin(sopt, &ttl, sizeof ttl, 
+			error = sooptcopyin(sopt, &ttl, sizeof ttl,
 					    sizeof ttl);
 			if (error)
 				break;
@@ -2108,7 +2108,7 @@
 
 	error = 0;
 	switch (sopt->sopt_name) {
-	case IP_MULTICAST_VIF: 
+	case IP_MULTICAST_VIF:
 		if (imo != NULL)
 			optval = imo->imo_multicast_vif;
 		else
Index: raw_ip.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/raw_ip.c,v
retrieving revision 1.134
diff -u -r1.134 raw_ip.c
--- raw_ip.c	9 Jun 2004 20:10:38 -0000	1.134
+++ raw_ip.c	25 Jun 2004 03:18:26 -0000
@@ -95,7 +95,7 @@
 int (*ip_mrouter_get)(struct socket *, struct sockopt *);
 int (*ip_mrouter_done)(void);
 int (*ip_mforward)(struct ip *, struct ifnet *, struct mbuf *,
-                   struct ip_moptions *);
+		   struct ip_moptions *);
 int (*mrt_ioctl)(int, caddr_t);
 int (*legal_vif_num)(int);
 u_long (*ip_mcast_src)(int);
@@ -204,10 +204,10 @@
 			goto docontinue;
 #endif
 		if (inp->inp_laddr.s_addr &&
-                    inp->inp_laddr.s_addr != ip->ip_dst.s_addr)
+		    inp->inp_laddr.s_addr != ip->ip_dst.s_addr)
 			goto docontinue;
 		if (inp->inp_faddr.s_addr &&
-                    inp->inp_faddr.s_addr != ip->ip_src.s_addr)
+		    inp->inp_faddr.s_addr != ip->ip_src.s_addr)
 			goto docontinue;
 		if (jailed(inp->inp_socket->so_cred))
 			if (htonl(prison_getip(inp->inp_socket->so_cred)) !=
Index: tcp.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/tcp.h,v
retrieving revision 1.25
diff -u -r1.25 tcp.h
--- tcp.h	23 Jun 2004 21:04:37 -0000	1.25
+++ tcp.h	25 Jun 2004 03:18:26 -0000
@@ -151,7 +151,7 @@
 
 #define TCP_MAX_WINSHIFT	14	/* maximum window shift */
 
-#define TCP_MAXBURST		4 	/* maximum segments in a burst */
+#define TCP_MAXBURST		4	/* maximum segments in a burst */
 
 #define TCP_MAXHLEN	(0xf<<2)	/* max length of header in bytes */
 #define TCP_MAXOLEN	(TCP_MAXHLEN - sizeof(struct tcphdr))
Index: tcp_debug.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/tcp_debug.h,v
retrieving revision 1.13
diff -u -r1.13 tcp_debug.h
--- tcp_debug.h	7 Apr 2004 20:46:13 -0000	1.13
+++ tcp_debug.h	25 Jun 2004 03:18:26 -0000
@@ -57,7 +57,7 @@
 	struct	tcpcb td_cb;
 };
 
-#define	TA_INPUT 	0
+#define	TA_INPUT	0
 #define	TA_OUTPUT	1
 #define	TA_USER		2
 #define	TA_RESPOND	3
Index: tcp_hostcache.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/tcp_hostcache.c,v
retrieving revision 1.4
diff -u -r1.4 tcp_hostcache.c
--- tcp_hostcache.c	23 Apr 2004 13:54:28 -0000	1.4
+++ tcp_hostcache.c	25 Jun 2004 03:18:26 -0000
@@ -182,11 +182,11 @@
 static MALLOC_DEFINE(M_HOSTCACHE, "hostcache", "TCP hostcache");
 
 #define HOSTCACHE_HASH(ip) \
-	(((ip)->s_addr ^ ((ip)->s_addr >> 7) ^ ((ip)->s_addr >> 17)) & 	\
+	(((ip)->s_addr ^ ((ip)->s_addr >> 7) ^ ((ip)->s_addr >> 17)) &	\
 	  tcp_hostcache.hashmask)
 
 /* XXX: What is the recommended hash to get good entropy for IPv6 addresses? */
-#define HOSTCACHE_HASH6(ip6)	 			\
+#define HOSTCACHE_HASH6(ip6)				\
 	(((ip6)->s6_addr32[0] ^				\
 	  (ip6)->s6_addr32[1] ^				\
 	  (ip6)->s6_addr32[2] ^				\
@@ -211,16 +211,16 @@
 	    tcp_hostcache.hashsize * tcp_hostcache.bucket_limit;
 	tcp_hostcache.expire = TCP_HOSTCACHE_EXPIRE;
 
-        TUNABLE_INT_FETCH("net.inet.tcp.hostcache.hashsize",
+	TUNABLE_INT_FETCH("net.inet.tcp.hostcache.hashsize",
 	    &tcp_hostcache.hashsize);
-        TUNABLE_INT_FETCH("net.inet.tcp.hostcache.cachelimit",
+	TUNABLE_INT_FETCH("net.inet.tcp.hostcache.cachelimit",
 	    &tcp_hostcache.cache_limit);
-        TUNABLE_INT_FETCH("net.inet.tcp.hostcache.bucketlimit",
+	TUNABLE_INT_FETCH("net.inet.tcp.hostcache.bucketlimit",
 	    &tcp_hostcache.bucket_limit);
 	if (!powerof2(tcp_hostcache.hashsize)) {
-                printf("WARNING: hostcache hash size is not a power of 2.\n");
+		printf("WARNING: hostcache hash size is not a power of 2.\n");
 		tcp_hostcache.hashsize = 512;	/* safe default */
-        }
+	}
 	tcp_hostcache.hashmask = tcp_hostcache.hashsize - 1;
 
 	/*
@@ -311,7 +311,7 @@
 /*
  * Internal function: insert an entry into the hostcache or return NULL
  * if unable to allocate a new one.
- * 
+ *
  * If an entry has been returned, the caller becomes responsible for
  * unlocking the bucket row after he is done reading/modifying the entry.
  */
@@ -544,8 +544,8 @@
 		tcpstat.tcps_cachedrtt++;
 	}
 	if (hcml->rmx_rttvar != 0) {
-	        if (hc_entry->rmx_rttvar == 0)
-        	        hc_entry->rmx_rttvar = hcml->rmx_rttvar;
+		if (hc_entry->rmx_rttvar == 0)
+       		hc_entry->rmx_rttvar = hcml->rmx_rttvar;
 		else
 			hc_entry->rmx_rttvar =
 			    (hc_entry->rmx_rttvar + hcml->rmx_rttvar) / 2;
@@ -581,8 +581,8 @@
 		else
 			hc_entry->rmx_sendpipe =
 			    (hc_entry->rmx_sendpipe + hcml->rmx_sendpipe) /2;
-                /* tcpstat.tcps_cachedsendpipe++; */
-        }
+		/* tcpstat.tcps_cachedsendpipe++; */
+	}
 	if (hcml->rmx_recvpipe != 0) {
 		if (hc_entry->rmx_recvpipe == 0)
 			hc_entry->rmx_recvpipe = hcml->rmx_recvpipe;
Index: tcp_input.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/tcp_input.c,v
retrieving revision 1.246
diff -u -r1.246 tcp_input.c
--- tcp_input.c	24 Jun 2004 03:07:27 -0000	1.246
+++ tcp_input.c	25 Jun 2004 03:18:26 -0000
@@ -105,7 +105,7 @@
     &tcpstat , tcpstat, "TCP statistics (struct tcpstat, netinet/tcp_var.h)");
 
 static int log_in_vain = 0;
-SYSCTL_INT(_net_inet_tcp, OID_AUTO, log_in_vain, CTLFLAG_RW, 
+SYSCTL_INT(_net_inet_tcp, OID_AUTO, log_in_vain, CTLFLAG_RW,
     &log_in_vain, 0, "Log all incoming TCP connections");
 
 static int blackhole = 0;
@@ -113,8 +113,8 @@
 	&blackhole, 0, "Do not send RST when dropping refused connections");
 
 int tcp_delack_enabled = 1;
-SYSCTL_INT(_net_inet_tcp, OID_AUTO, delayed_ack, CTLFLAG_RW, 
-    &tcp_delack_enabled, 0, 
+SYSCTL_INT(_net_inet_tcp, OID_AUTO, delayed_ack, CTLFLAG_RW,
+    &tcp_delack_enabled, 0,
     "Delay ACK to try and piggyback it onto a data packet");
 
 #ifdef TCP_DROP_SYNFIN
@@ -613,7 +613,7 @@
 	if (next_hop != NULL && isipv6 == 0) {	/* IPv6 support is not yet */
 		/*
 		 * Transparently forwarded. Pretend to be the destination.
-		 * already got one like this? 
+		 * already got one like this?
 		 */
 		inp = in_pcblookup_hash(&tcbinfo, ip->ip_src, th->th_sport,
 					ip->ip_dst, th->th_dport,
@@ -705,7 +705,7 @@
 				break;
 			}
 		}
-		if (blackhole) { 
+		if (blackhole) {
 			switch (blackhole) {
 			case 1:
 				if (thflags & TH_SYN)
@@ -784,8 +784,8 @@
 		inc.inc_fport = th->th_sport;
 		inc.inc_lport = th->th_dport;
 
-	        /*
-	         * If the state is LISTEN then ignore segment if it contains
+		/*
+		 * If the state is LISTEN then ignore segment if it contains
 		 * a RST.  If the segment contains an ACK then it is bad and
 		 * send a RST.  If it does not contain a SYN then it is not
 		 * interesting; drop it.
@@ -974,7 +974,7 @@
 			 */
 			if (thflags & TH_FIN || tlen != 0)
 				tp->t_flags |= (TF_DELACK | TF_NEEDSYN);
-			else 
+			else
 				tp->t_flags |= (TF_ACKNOW | TF_NEEDSYN);
 			tcpstat.tcps_connects++;
 			soisconnected(so);
@@ -1057,7 +1057,7 @@
 	 * for incoming connections is handled in tcp_syncache.
 	 * XXX this is traditional behavior, may need to be cleaned up.
 	 */
-	tcp_dooptions(tp,&to, optp, optlen, thflags & TH_SYN,th);
+	tcp_dooptions(tp, &to, optp, optlen, thflags &TH_SYN, th);
 	if (thflags & TH_SYN) {
 		if (to.to_flags & TOF_SCALE) {
 			tp->t_flags |= TF_RCVD_SCALE;
@@ -1084,7 +1084,7 @@
 	if (tp->sack_enable) {
 		/* Delete stale (cumulatively acked) SACK holes */
 		tcp_del_sackholes(tp, th);
-		tp->rcv_laststart = th->th_seq; /* last rec'vd segment*/
+		tp->rcv_laststart = th->th_seq; /* last recv'd segment*/
 		tp->rcv_lastend = th->th_seq + tlen;
 	}
 
@@ -1139,7 +1139,7 @@
 			    tp->snd_cwnd >= tp->snd_wnd &&
 			    ((!tcp_do_newreno && !tp->sack_enable &&
 			      tp->t_dupacks < tcprexmtthresh) ||
-			     ((tcp_do_newreno || tp->sack_enable) && 
+			     ((tcp_do_newreno || tp->sack_enable) &&
 			      !IN_FASTRECOVERY(tp)))) {
 				KASSERT(headlocked, ("headlocked"));
 				INP_INFO_WUNLOCK(&tcbinfo);
@@ -1167,7 +1167,7 @@
 				 * Recalculate the transmit timer / rtt.
 				 *
 				 * Some boxes send broken timestamp replies
-				 * during the SYN+ACK phase, ignore 
+				 * during the SYN+ACK phase, ignore
 				 * timestamps of 0 or we could calculate a
 				 * huge RTT and blow up the retransmit timer.
 				 */
@@ -1217,7 +1217,7 @@
 				if (tp->snd_una == tp->snd_max)
 					callout_stop(tp->tt_rexmt);
 				else if (!callout_active(tp->tt_persist))
-					callout_reset(tp->tt_rexmt, 
+					callout_reset(tp->tt_rexmt,
 						      tp->t_rxtcur,
 						      tcp_timer_rexmt, tp);
 
@@ -1398,8 +1398,8 @@
 			 * ACKNOW will be turned on later.
 			 */
 			if (DELAY_ACK(tp) && tlen != 0)
-                                callout_reset(tp->tt_delack, tcp_delacktime,  
-                                    tcp_timer_delack, tp);  
+		                callout_reset(tp->tt_delack, tcp_delacktime,
+		                    tcp_timer_delack, tp);
 			else
 				tp->t_flags |= TF_ACKNOW;
 			/*
@@ -1420,15 +1420,15 @@
 			}
 		} else {
 			/*
-		 	 * Received initial SYN in SYN-SENT[*] state =>
-		 	 * simultaneous open.  If segment contains CC option
-		 	 * and there is a cached CC, apply TAO test.
-		 	 * If it succeeds, connection is * half-synchronized.
-		 	 * Otherwise, do 3-way handshake:
-		 	 *        SYN-SENT -> SYN-RECEIVED
-		 	 *        SYN-SENT* -> SYN-RECEIVED*
-		 	 * If there was no CC option, clear cached CC value.
-		 	 */
+			 * Received initial SYN in SYN-SENT[*] state =>
+			 * simultaneous open.  If segment contains CC option
+			 * and there is a cached CC, apply TAO test.
+			 * If it succeeds, connection is * half-synchronized.
+			 * Otherwise, do 3-way handshake:
+			 *        SYN-SENT -> SYN-RECEIVED
+			 *        SYN-SENT* -> SYN-RECEIVED*
+			 * If there was no CC option, clear cached CC value.
+			 */
 			tp->t_flags |= TF_ACKNOW;
 			callout_stop(tp->tt_rexmt);
 			if (to.to_flags & TOF_CC) {
@@ -1491,7 +1491,7 @@
 		 * processing in the middle of step 5, ack processing.
 		 * Otherwise, goto step 6.
 		 */
- 		if (thflags & TH_ACK)
+		if (thflags & TH_ACK)
 			goto process_ACK;
 
 		goto step6;
@@ -1528,7 +1528,7 @@
 			else
 				goto drop;
 		}
- 		break;  /* continue normal processing */
+		break;  /* continue normal processing */
 	}
 
 	/*
@@ -1564,7 +1564,7 @@
 	 *   we use a much stricter check while in the ESTABLISHED state,
 	 *   only accepting RSTs where the sequence number is equal to
 	 *   last_ack_sent.  In all other states (the states in which a
-	 *   RST is more likely), the more permissive check is used. 
+	 *   RST is more likely), the more permissive check is used.
 	 * If we have multiple segments in flight, the intial reset
 	 * segment sequence numbers will be to the left of last_ack_sent,
 	 * but they will eventually catch up.
@@ -1670,7 +1670,7 @@
 	 */
 	if ((tp->t_flags & (TF_REQ_CC|TF_RCVD_CC)) == (TF_REQ_CC|TF_RCVD_CC) &&
 	    ((to.to_flags & TOF_CC) == 0 || tp->cc_recv != to.to_cc))
- 		goto dropafterack;
+		goto dropafterack;
 
 	/*
 	 * In the SYN-RECEIVED state, validate that the packet belongs to
@@ -1859,7 +1859,7 @@
 			tp->t_flags &= ~TF_NEEDFIN;
 		} else {
 			tp->t_state = TCPS_ESTABLISHED;
-			callout_reset(tp->tt_keep, tcp_keepidle, 
+			callout_reset(tp->tt_keep, tcp_keepidle,
 				      tcp_timer_keep, tp);
 		}
 		/*
@@ -1927,10 +1927,10 @@
 				} else if (tp->t_dupacks == tcprexmtthresh) {
 					tcp_seq onxt = tp->snd_nxt;
 					u_int win;
-					if ((tcp_do_newreno || 
+					if ((tcp_do_newreno ||
 					    tp->sack_enable) &&
 					    SEQ_LEQ(th->th_ack,
-					            tp->snd_recover)) {
+						    tp->snd_recover)) {
 						tp->t_dupacks = 0;
 						break;
 					}
@@ -1945,11 +1945,11 @@
 					tp->t_rtttime = 0;
 					if (tp->sack_enable) {
 						tcpstat.tcps_sack_recovery_episode++;
-						tp->snd_cwnd = 
-						    tp->t_maxseg * 
+						tp->snd_cwnd =
+						    tp->t_maxseg *
 						    tp->t_dupacks;
 						(void) tcp_output(tp);
-						tp->snd_cwnd = 
+						tp->snd_cwnd =
 						    tp->snd_ssthresh;
 						goto drop;
 					}
@@ -2031,11 +2031,11 @@
 						tp->snd_cwnd = tp->snd_ssthresh;
 				}
 			}
-                } else {
-                        if (tp->t_dupacks >= tcprexmtthresh &&
-                            tp->snd_cwnd > tp->snd_ssthresh)
+		} else {
+		        if (tp->t_dupacks >= tcprexmtthresh &&
+		            tp->snd_cwnd > tp->snd_ssthresh)
 				tp->snd_cwnd = tp->snd_ssthresh;
-                }
+		}
 		tp->t_dupacks = 0;
 		if (SEQ_GT(th->th_ack, tp->snd_max)) {
 			tcpstat.tcps_rcvacktoomuch++;
@@ -2083,7 +2083,7 @@
 			if (tp->t_flags & TF_WASFRECOVERY)
 				ENTER_FASTRECOVERY(tp);
 			tp->snd_nxt = tp->snd_max;
-			tp->t_badrxtwin = 0;	/* XXX probably not required */ 
+			tp->t_badrxtwin = 0;	/* XXX probably not required */
 		}
 
 		/*
@@ -2096,7 +2096,7 @@
 		 * Recompute the initial retransmit timer.
 		 *
 		 * Some boxes send broken timestamp replies
-		 * during the SYN+ACK phase, ignore 
+		 * during the SYN+ACK phase, ignore
 		 * timestamps of 0 or we could calculate a
 		 * huge RTT and blow up the retransmit timer.
 		 */
@@ -2135,7 +2135,7 @@
 		 * Otherwise open linearly: maxseg per window
 		 * (maxseg^2 / cwnd per packet).
 		 */
-		if ((!tcp_do_newreno && !tp->sack_enable) || 
+		if ((!tcp_do_newreno && !tp->sack_enable) ||
 		    !IN_FASTRECOVERY(tp)) {
 			register u_int cw = tp->snd_cwnd;
 			register u_int incr = tp->t_maxseg;
@@ -2156,12 +2156,12 @@
 		SOCKBUF_UNLOCK(&so->so_snd);
 		sowwakeup(so);
 		/* detect una wraparound */
-		if ((tcp_do_newreno || tp->sack_enable) && 
+		if ((tcp_do_newreno || tp->sack_enable) &&
 		    !IN_FASTRECOVERY(tp) &&
 		    SEQ_GT(tp->snd_una, tp->snd_recover) &&
 		    SEQ_LEQ(th->th_ack, tp->snd_recover))
 			tp->snd_recover = th->th_ack - 1;
-		if ((tcp_do_newreno || tp->sack_enable) && 
+		if ((tcp_do_newreno || tp->sack_enable) &&
 		    IN_FASTRECOVERY(tp) &&
 		    SEQ_GEQ(th->th_ack, tp->snd_recover))
 			EXIT_FASTRECOVERY(tp);
@@ -2169,7 +2169,7 @@
 		if (tp->sack_enable) {
 			if (SEQ_GT(tp->snd_una, tp->snd_recover))
 				tp->snd_recover = tp->snd_una;
-		} 
+		}
 		if (SEQ_LT(tp->snd_nxt, tp->snd_una))
 			tp->snd_nxt = tp->snd_una;
 
@@ -2202,7 +2202,7 @@
 			}
 			break;
 
-	 	/*
+		/*
 		 * In CLOSING STATE in addition to the processing for
 		 * the ESTABLISHED state if the ACK acknowledges our FIN
 		 * then enter the TIME-WAIT state, otherwise ignore
@@ -2407,7 +2407,7 @@
 		}
 		switch (tp->t_state) {
 
-	 	/*
+		/*
 		 * In SYN_RECEIVED and ESTABLISHED STATES
 		 * enter the CLOSE_WAIT state.
 		 */
@@ -2418,7 +2418,7 @@
 			tp->t_state = TCPS_CLOSE_WAIT;
 			break;
 
-	 	/*
+		/*
 		 * If still in FIN_WAIT_1 STATE FIN has not been acked so
 		 * enter the CLOSING state.
 		 */
@@ -2426,7 +2426,7 @@
 			tp->t_state = TCPS_CLOSING;
 			break;
 
-	 	/*
+		/*
 		 * In FIN_WAIT_2 state enter the TIME_WAIT state,
 		 * starting the time-wait timer, turning off the other
 		 * standard timers.
@@ -2463,8 +2463,8 @@
 check_delack:
 	if (tp->t_flags & TF_DELACK) {
 		tp->t_flags &= ~TF_DELACK;
-		callout_reset(tp->tt_delack, tcp_delacktime,  
-		    tcp_timer_delack, tp);  
+		callout_reset(tp->tt_delack, tcp_delacktime,
+		    tcp_timer_delack, tp);
 	}
 	INP_UNLOCK(inp);
 	return;
@@ -2519,8 +2519,8 @@
 	} else {
 		if (IN_MULTICAST(ntohl(ip->ip_dst.s_addr)) ||
 		    IN_MULTICAST(ntohl(ip->ip_src.s_addr)) ||
-	    	    ip->ip_src.s_addr == htonl(INADDR_BROADCAST) ||
-	    	    in_broadcast(ip->ip_dst, m->m_pkthdr.rcvif))
+	   	    ip->ip_src.s_addr == htonl(INADDR_BROADCAST) ||
+	   	    in_broadcast(ip->ip_dst, m->m_pkthdr.rcvif))
 			goto drop;
 	}
 	/* IPv6 anycast check is done at tcp6_input() */
@@ -2530,7 +2530,7 @@
 	 */
 	if (badport_bandlim(rstreason) < 0)
 		goto drop;
- 
+
 #ifdef TCPDEBUG
 	if (tp == 0 || (tp->t_inpcb->inp_socket->so_options & SO_DEBUG))
 		tcp_trace(TA_DROP, ostate, tp, (void *)tcp_saveipgen,
@@ -2579,7 +2579,7 @@
 tcp_dooptions(tp, to, cp, cnt, is_syn, th)
 	struct tcpcb *tp;
 	struct tcpopt *to;
-	u_char *cp;   
+	u_char *cp;
 	int cnt;
 	int is_syn;
 	struct tcphdr *th;
@@ -2676,7 +2676,7 @@
 			    optlen != TCPOLEN_SACK_PERMITTED)
 				continue;
 			if (is_syn) {
-				/* MUST only be set on SYN */   
+				/* MUST only be set on SYN */
 				to->to_flags |= TOF_SACK;
 			}
 			break;
@@ -2965,11 +2965,11 @@
 	 * were received yet.  In this case we just guess, otherwise
 	 * we do the same as before T/TCP.
 	 */
- 	if ((tp->t_flags & (TF_REQ_TSTMP|TF_NOOPT)) == TF_REQ_TSTMP &&
+	if ((tp->t_flags & (TF_REQ_TSTMP|TF_NOOPT)) == TF_REQ_TSTMP &&
 	    (origoffer == -1 ||
 	     (tp->t_flags & TF_RCVD_TSTMP) == TF_RCVD_TSTMP))
 		mss -= TCPOLEN_TSTAMP_APPA;
- 	if ((tp->t_flags & (TF_REQ_CC|TF_NOOPT)) == TF_REQ_CC &&
+	if ((tp->t_flags & (TF_REQ_CC|TF_NOOPT)) == TF_REQ_CC &&
 	    (origoffer == -1 ||
 	     (tp->t_flags & TF_RCVD_CC) == TF_RCVD_CC))
 		mss -= TCPOLEN_CC_APPA;
@@ -3168,7 +3168,7 @@
  * Returns 1 if the TIME_WAIT state was killed and we should start over,
  * looking for a pcb in the listen state.  Returns 0 otherwise.
  */
-static int 
+static int
 tcp_timewait(tw, to, th, m, tlen)
 	struct tcptw *tw;
 	struct tcpopt *to;
@@ -3201,7 +3201,7 @@
 
 	/*
 	 * If segment contains a SYN and CC [not CC.NEW] option:
-	 * 	if connection duration > MSL, drop packet and send RST;
+	 *	if connection duration > MSL, drop packet and send RST;
 	 *
 	 *	if SEG.CC > CCrecv then is new SYN.
 	 *	    Complete close and delete TCPCB.  Then reprocess
@@ -3266,7 +3266,7 @@
 	/*
 	 * Acknowledge the segment if it has data or is not a duplicate ACK.
 	 */
-	if (thflags != TH_ACK || tlen != 0 || 
+	if (thflags != TH_ACK || tlen != 0 ||
 	    th->th_seq != tw->rcv_nxt || th->th_ack != tw->snd_nxt)
 		tcp_twrespond(tw, TH_ACK);
 	goto drop;
Index: tcp_output.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/tcp_output.c,v
retrieving revision 1.95
diff -u -r1.95 tcp_output.c
--- tcp_output.c	23 Jun 2004 21:04:37 -0000	1.95
+++ tcp_output.c	25 Jun 2004 03:18:26 -0000
@@ -102,7 +102,7 @@
 
 int     tcp_do_newreno = 1;
 SYSCTL_INT(_net_inet_tcp, OID_AUTO, newreno, CTLFLAG_RW, &tcp_do_newreno,
-        0, "Enable NewReno Algorithms");
+	0, "Enable NewReno Algorithms");
 
 /*
  * Tcp output routine: figure out what should be sent and send it.
@@ -151,10 +151,10 @@
 		 * We have been idle for "a while" and no acks are
 		 * expected to clock out any data we send --
 		 * slow start to get ack "clock" running again.
-		 *       
+		 *
 		 * Set the slow-start flight size depending on whether
 		 * this is a local network or not.
-		 */      
+		 */
 		int ss = ss_fltsz;
 #ifdef INET6
 		if (isipv6) {
@@ -194,7 +194,7 @@
 	 * we're replacing a (future) new transmission with a retransmission
 	 * now, and we previously incremented snd_cwnd in tcp_input().
 	 */
-	/* 
+	/*
 	 * Still in sack recovery , reset rxmit flag to zero.
 	 */
 	sack_rxmit = 0;
@@ -213,7 +213,7 @@
 			len = min(tp->snd_cwnd, p->end - p->rxmit);
 		if (len > 0) {
 			tcpstat.tcps_sack_rexmits++;
-			tcpstat.tcps_sack_rexmit_bytes += 
+			tcpstat.tcps_sack_rexmit_bytes +=
 				min(len, tp->t_maxseg);
 		}
 	}
@@ -260,7 +260,7 @@
 	}
 
 	/*
-	 * If snd_nxt == snd_max and we have transmitted a FIN, the 
+	 * If snd_nxt == snd_max and we have transmitted a FIN, the
 	 * offset will be > 0 even if so_snd.sb_cc is 0, resulting in
 	 * a negative length.  This can also occur when TCP opens up
 	 * its congestion window while receiving additional duplicate
@@ -270,9 +270,9 @@
 	 * In the normal retransmit-FIN-only case, however, snd_nxt will
 	 * be set to snd_una, the offset will be 0, and the length may
 	 * wind up 0.
-	 * 
+	 *
 	 * If sack_rxmit is true we are retransmitting from the scoreboard
-	 * in which case len is already set. 
+	 * in which case len is already set.
 	 */
 	if (!sack_rxmit)
 		len = ((long)ulmin(so->so_snd.sb_cc, sendwin) - off);
@@ -425,12 +425,12 @@
 	 * that the retransmission timer is set.
 	 */
 	if (tp->sack_enable && SEQ_GT(tp->snd_max, tp->snd_una) &&
-	    !callout_active(tp->tt_rexmt) && 
+	    !callout_active(tp->tt_rexmt) &&
 	    !callout_active(tp->tt_persist)) {
 		callout_reset(tp->tt_rexmt, tp->t_rxtcur,
 			      tcp_timer_rexmt, tp);
-                return (0);
-        }
+		return (0);
+	}
 	/*
 	 * TCP window updates are not reliable, rather a polling protocol
 	 * using ``persist'' packets is used to insure receipt of window
@@ -491,19 +491,19 @@
 			(void)memcpy(opt + 2, &mss, sizeof(mss));
 			optlen = TCPOLEN_MAXSEG;
 
-                        /*
-                         * If this is the first SYN of connection (not a SYN
-                         * ACK), include SACK_PERMIT_HDR option.  If this is a
-                         * SYN ACK, include SACK_PERMIT_HDR option if peer has
-                         * already done so. This is only for active connect,
+		        /*
+		         * If this is the first SYN of connection (not a SYN
+		         * ACK), include SACK_PERMIT_HDR option.  If this is a
+		         * SYN ACK, include SACK_PERMIT_HDR option if peer has
+		         * already done so. This is only for active connect,
 			 * since the syncache takes care of the passive connect.
-                         */
-                        if (tp->sack_enable && ((flags & TH_ACK) == 0 || 
+		         */
+		        if (tp->sack_enable && ((flags & TH_ACK) == 0 ||
 			    (tp->t_flags & TF_SACK_PERMIT))) {
-                                *((u_int32_t *) (opt + optlen)) =
+		                *((u_int32_t *) (opt + optlen)) =
 					htonl(TCPOPT_SACK_PERMIT_HDR);
-                                optlen += 4;
-                        }
+		                optlen += 4;
+		        }
 			if ((tp->t_flags & TF_REQ_SCALE) &&
 			    ((flags & TH_ACK) == 0 ||
 			    (tp->t_flags & TF_RCVD_SCALE))) {
@@ -515,25 +515,25 @@
 				optlen += 4;
 			}
 		}
- 	}
+	}
 
- 	/*
+	/*
 	 * Send a timestamp and echo-reply if this is a SYN and our side
 	 * wants to use timestamps (TF_REQ_TSTMP is set) or both our side
 	 * and our peer have sent timestamps in our SYN's.
- 	 */
- 	if ((tp->t_flags & (TF_REQ_TSTMP|TF_NOOPT)) == TF_REQ_TSTMP &&
- 	    (flags & TH_RST) == 0 &&
+	 */
+	if ((tp->t_flags & (TF_REQ_TSTMP|TF_NOOPT)) == TF_REQ_TSTMP &&
+	    (flags & TH_RST) == 0 &&
 	    ((flags & TH_ACK) == 0 ||
 	     (tp->t_flags & TF_RCVD_TSTMP))) {
 		u_int32_t *lp = (u_int32_t *)(opt + optlen);
 
- 		/* Form timestamp option as shown in appendix A of RFC 1323. */
- 		*lp++ = htonl(TCPOPT_TSTAMP_HDR);
- 		*lp++ = htonl(ticks);
- 		*lp   = htonl(tp->ts_recent);
- 		optlen += TCPOLEN_TSTAMP_APPA;
- 	}
+		/* Form timestamp option as shown in appendix A of RFC 1323. */
+		*lp++ = htonl(TCPOPT_TSTAMP_HDR);
+		*lp++ = htonl(ticks);
+		*lp   = htonl(tp->ts_recent);
+		optlen += TCPOLEN_TSTAMP_APPA;
+	}
 
 	/*
 	 * Send SACKs if necessary.  This should be the last option processed.
@@ -561,12 +561,12 @@
 		*olp = htonl(TCPOPT_SACK_HDR|(TCPOLEN_SACK*count+2));
 		optlen += TCPOLEN_SACK*count + 4; /* including leading NOPs */
 	}
- 	/*
+	/*
 	 * Send `CC-family' options if our side wants to use them (TF_REQ_CC),
 	 * options are allowed (!TF_NOOPT) and it's not a RST.
- 	 */
- 	if ((tp->t_flags & (TF_REQ_CC|TF_NOOPT)) == TF_REQ_CC &&
- 	     (flags & TH_RST) == 0) {
+	 */
+	if ((tp->t_flags & (TF_REQ_CC|TF_NOOPT)) == TF_REQ_CC &&
+	     (flags & TH_RST) == 0) {
 		switch (flags & (TH_SYN|TH_ACK)) {
 		/*
 		 * This is a normal ACK, send CC if we received CC before
@@ -604,7 +604,7 @@
 						TCPOPT_CCNEW : TCPOPT_CC;
 			opt[optlen++] = TCPOLEN_CC;
 			*(u_int32_t *)&opt[optlen] = htonl(tp->cc_send);
- 			optlen += 4;
+			optlen += 4;
 			break;
 
 		/*
@@ -630,7 +630,7 @@
 			}
 			break;
 		}
- 	}
+	}
 
 #ifdef TCP_SIGNATURE
 #ifdef INET6
@@ -656,7 +656,7 @@
 	}
 #endif /* TCP_SIGNATURE */
 
- 	hdrlen += optlen;
+	hdrlen += optlen;
 
 #ifdef INET6
 	if (isipv6)
@@ -689,9 +689,9 @@
 
 /*#ifdef DIAGNOSTIC*/
 #ifdef INET6
- 	if (max_linkhdr + hdrlen > MCLBYTES)
+	if (max_linkhdr + hdrlen > MCLBYTES)
 #else
- 	if (max_linkhdr + hdrlen > MHLEN)
+	if (max_linkhdr + hdrlen > MHLEN)
 #endif
 		panic("tcphdr too big");
 /*#endif*/
@@ -824,7 +824,7 @@
 	 * case, since we know we aren't doing a retransmission.
 	 * (retransmit and persist are mutually exclusive...)
 	 */
-	if (len || (flags & (TH_SYN|TH_FIN)) 
+	if (len || (flags & (TH_SYN|TH_FIN))
 	    || callout_active(tp->tt_persist))
 		th->th_seq = htonl(tp->snd_nxt);
 	else
@@ -1041,8 +1041,8 @@
     {
 	ip->ip_len = m->m_pkthdr.len;
 #ifdef INET6
- 	if (INP_CHECK_SOCKAF(so, AF_INET6))
- 		ip->ip_ttl = in6_selecthlim(tp->t_inpcb, NULL);
+	if (INP_CHECK_SOCKAF(so, AF_INET6))
+		ip->ip_ttl = in6_selecthlim(tp->t_inpcb, NULL);
 #endif /* INET6 */
 	/*
 	 * If we do path MTU discovery, then we set DF on every packet.
@@ -1073,10 +1073,10 @@
 
 out:
 		if (error == ENOBUFS) {
-	                if (!callout_active(tp->tt_rexmt) &&
-                            !callout_active(tp->tt_persist))
-	                        callout_reset(tp->tt_rexmt, tp->t_rxtcur,
-                                      tcp_timer_rexmt, tp);
+		        if (!callout_active(tp->tt_rexmt) &&
+		            !callout_active(tp->tt_persist))
+		                callout_reset(tp->tt_rexmt, tp->t_rxtcur,
+		                      tcp_timer_rexmt, tp);
 			tcp_quench(tp->t_inpcb, 0);
 			return (0);
 		}
Index: tcp_sack.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/tcp_sack.c,v
retrieving revision 1.1
diff -u -r1.1 tcp_sack.c
--- tcp_sack.c	23 Jun 2004 21:04:37 -0000	1.1
+++ tcp_sack.c	25 Jun 2004 03:18:26 -0000
@@ -71,10 +71,10 @@
  *    documentation and/or other materials provided with the distribution.
  * 3. All advertising materials mentioning features or use of this software
  *    must display the following acknowledgements:
- * 	This product includes software developed by the University of
- * 	California, Berkeley and its contributors.
- * 	This product includes software developed at the Information
- * 	Technology Division, US Naval Research Laboratory.
+ *	This product includes software developed by the University of
+ *	California, Berkeley and its contributors.
+ *	This product includes software developed at the Information
+ *	Technology Division, US Naval Research Laboratory.
  * 4. Neither the name of the NRL nor the names of its contributors
  *    may be used to endorse or promote products derived from this software
  *    without specific prior written permission.
@@ -494,9 +494,9 @@
 	 * Set snd_cwnd to one segment beyond acknowledged offset
 	 * (tp->snd_una has not yet been updated when this function is called.)
 	 */
-	/* 
-	 * Should really be 
-	 * min(tp->snd_cwnd, tp->t_maxseg + (th->th_ack - tp->snd_una)) 
+	/*
+	 * Should really be
+	 * min(tp->snd_cwnd, tp->t_maxseg + (th->th_ack - tp->snd_una))
 	 */
 	tp->snd_cwnd = tp->t_maxseg + (th->th_ack - tp->snd_una);
 	tp->t_flags |= TF_ACKNOW;
Index: tcp_subr.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/tcp_subr.c,v
retrieving revision 1.193
diff -u -r1.193 tcp_subr.c
--- tcp_subr.c	23 Jun 2004 21:34:07 -0000	1.193
+++ tcp_subr.c	25 Jun 2004 03:18:26 -0000
@@ -110,8 +110,8 @@
 #include <machine/in_cksum.h>
 #include <sys/md5.h>
 
-int 	tcp_mssdflt = TCP_MSS;
-SYSCTL_INT(_net_inet_tcp, TCPCTL_MSSDFLT, mssdflt, CTLFLAG_RW, 
+int	tcp_mssdflt = TCP_MSS;
+SYSCTL_INT(_net_inet_tcp, TCPCTL_MSSDFLT, mssdflt, CTLFLAG_RW,
     &tcp_mssdflt , 0, "Default TCP Maximum Segment Size");
 
 #ifdef INET6
@@ -146,17 +146,17 @@
     "be under the MINMSS Size");
 
 #if 0
-static int 	tcp_rttdflt = TCPTV_SRTTDFLT / PR_SLOWHZ;
-SYSCTL_INT(_net_inet_tcp, TCPCTL_RTTDFLT, rttdflt, CTLFLAG_RW, 
+static int	tcp_rttdflt = TCPTV_SRTTDFLT / PR_SLOWHZ;
+SYSCTL_INT(_net_inet_tcp, TCPCTL_RTTDFLT, rttdflt, CTLFLAG_RW,
     &tcp_rttdflt , 0, "Default maximum TCP Round Trip Time");
 #endif
 
 int	tcp_do_rfc1323 = 1;
-SYSCTL_INT(_net_inet_tcp, TCPCTL_DO_RFC1323, rfc1323, CTLFLAG_RW, 
+SYSCTL_INT(_net_inet_tcp, TCPCTL_DO_RFC1323, rfc1323, CTLFLAG_RW,
     &tcp_do_rfc1323 , 0, "Enable rfc1323 (high performance TCP) extensions");
 
 int	tcp_do_rfc1644 = 0;
-SYSCTL_INT(_net_inet_tcp, TCPCTL_DO_RFC1644, rfc1644, CTLFLAG_RW, 
+SYSCTL_INT(_net_inet_tcp, TCPCTL_DO_RFC1644, rfc1644, CTLFLAG_RW,
     &tcp_do_rfc1644 , 0, "Enable rfc1644 (TTCP) extensions");
 
 static int	tcp_tcbhashsize = 0;
@@ -167,11 +167,11 @@
 SYSCTL_INT(_net_inet_tcp, OID_AUTO, do_tcpdrain, CTLFLAG_RW, &do_tcpdrain, 0,
      "Enable tcp_drain routine for extra help when low on mbufs");
 
-SYSCTL_INT(_net_inet_tcp, OID_AUTO, pcbcount, CTLFLAG_RD, 
+SYSCTL_INT(_net_inet_tcp, OID_AUTO, pcbcount, CTLFLAG_RD,
     &tcbinfo.ipi_count, 0, "Number of active PCBs");
 
 static int	icmp_may_rst = 1;
-SYSCTL_INT(_net_inet_tcp, OID_AUTO, icmp_may_rst, CTLFLAG_RW, &icmp_may_rst, 0, 
+SYSCTL_INT(_net_inet_tcp, OID_AUTO, icmp_may_rst, CTLFLAG_RW, &icmp_may_rst, 0,
     "Certain ICMP unreachable messages may abort connections in SYN_SENT");
 
 static int	tcp_isn_reseed_interval = 0;
@@ -179,8 +179,8 @@
     &tcp_isn_reseed_interval, 0, "Seconds between reseeding of ISN secret");
 
 /*
- * TCP bandwidth limiting sysctls.  Note that the default lower bound of 
- * 1024 exists only for debugging.  A good production default would be 
+ * TCP bandwidth limiting sysctls.  Note that the default lower bound of
+ * 1024 exists only for debugging.  A good production default would be
  * something like 6100.
  */
 static int	tcp_inflight_enable = 1;
@@ -274,7 +274,7 @@
 	tcbinfo.hashbase = hashinit(hashsize, M_PCB, &tcbinfo.hashmask);
 	tcbinfo.porthashbase = hashinit(hashsize, M_PCB,
 					&tcbinfo.porthashmask);
-	tcbinfo.ipi_zone = uma_zcreate("inpcb", sizeof(struct inpcb), 
+	tcbinfo.ipi_zone = uma_zcreate("inpcb", sizeof(struct inpcb),
 	    NULL, NULL, NULL, NULL, UMA_ALIGN_PTR, UMA_ZONE_NOFREE);
 	uma_zone_set_max(tcbinfo.ipi_zone, maxsockets);
 #ifdef INET6
@@ -290,10 +290,10 @@
 	/*
 	 * These have to be type stable for the benefit of the timers.
 	 */
-	tcpcb_zone = uma_zcreate("tcpcb", sizeof(struct tcpcb_mem), 
+	tcpcb_zone = uma_zcreate("tcpcb", sizeof(struct tcpcb_mem),
 	    NULL, NULL, NULL, NULL, UMA_ALIGN_PTR, UMA_ZONE_NOFREE);
 	uma_zone_set_max(tcpcb_zone, maxsockets);
-	tcptw_zone = uma_zcreate("tcptw", sizeof(struct tcptw), 
+	tcptw_zone = uma_zcreate("tcptw", sizeof(struct tcptw),
 	    NULL, NULL, NULL, NULL, UMA_ALIGN_PTR, UMA_ZONE_NOFREE);
 	uma_zone_set_max(tcptw_zone, maxsockets / 5);
 	tcp_timer_init();
@@ -304,7 +304,7 @@
 	tcp_isn_tick(NULL);
 	EVENTHANDLER_REGISTER(shutdown_pre_sync, tcp_fini, NULL,
 		SHUTDOWN_PRI_DEFAULT);
-	sack_hole_zone = uma_zcreate("sackhole", sizeof(struct sackhole), 
+	sack_hole_zone = uma_zcreate("sackhole", sizeof(struct sackhole),
 	    NULL, NULL, NULL, NULL, UMA_ALIGN_PTR, UMA_ZONE_NOFREE);
 }
 
@@ -459,7 +459,7 @@
 		m->m_data += max_linkhdr;
 #ifdef INET6
 		if (isipv6) {
-			bcopy((caddr_t)ip6, mtod(m, caddr_t), 
+			bcopy((caddr_t)ip6, mtod(m, caddr_t),
 			      sizeof(struct ip6_hdr));
 			ip6 = mtod(m, struct ip6_hdr *);
 			nth = (struct tcphdr *)(ip6 + 1);
@@ -558,10 +558,10 @@
 	} else
 #endif /* INET6 */
       {
-        nth->th_sum = in_pseudo(ip->ip_src.s_addr, ip->ip_dst.s_addr,
+	nth->th_sum = in_pseudo(ip->ip_src.s_addr, ip->ip_dst.s_addr,
 	    htons((u_short)(tlen - sizeof(struct ip) + ip->ip_p)));
-        m->m_pkthdr.csum_flags = CSUM_TCP;
-        m->m_pkthdr.csum_data = offsetof(struct tcphdr, th_sum);
+	m->m_pkthdr.csum_flags = CSUM_TCP;
+	m->m_pkthdr.csum_data = offsetof(struct tcphdr, th_sum);
       }
 #ifdef TCPDEBUG
 	if (tp == NULL || (inp->inp_socket->so_options & SO_DEBUG))
@@ -636,7 +636,7 @@
 	tp->snd_ssthresh = TCP_MAXWIN << TCP_MAX_WINSHIFT;
 	tp->t_rcvtime = ticks;
 	tp->t_bw_rtttime = ticks;
-        /*
+	/*
 	 * IPv4 TTL initialization is necessary for an IPv6 socket as well,
 	 * because the socket may be bound to an IPv6 wildcard address,
 	 * which may match an IPv4-mapped IPv6 address.
@@ -740,7 +740,7 @@
 		/* XXX: This wraps if the pipe is more than 4 Gbit per second */
 		metrics.rmx_bandwidth = tp->snd_bandwidth;
 		metrics.rmx_cwnd = tp->snd_cwnd;
-		metrics.rmx_sendpipe = 0; 
+		metrics.rmx_sendpipe = 0;
 		metrics.rmx_recvpipe = 0;
 
 		tcp_hc_update(&inp->inp_inc, &metrics);
@@ -801,8 +801,8 @@
 	 * if there is one...
 	 * XXX: The "Net/3" implementation doesn't imply that the TCP
 	 *      reassembly queue should be flushed, but in a situation
-	 * 	where we're really low on mbufs, this is potentially
-	 *  	usefull.	
+	 *	where we're really low on mbufs, this is potentially
+	 * 	usefull.	
 	 */
 		INP_INFO_RLOCK(&tcbinfo);
 		LIST_FOREACH(inpb, tcbinfo.listhead, inp_list) {
@@ -811,7 +811,7 @@
 			INP_LOCK(inpb);
 			if ((tcpb = intotcpcb(inpb)) != NULL) {
 				while ((te = LIST_FIRST(&tcpb->t_segq))
-			            != NULL) {
+				    != NULL) {
 					LIST_REMOVE(te, tqe_q);
 					m_freem(te->tqe_m);
 					uma_zfree(tcp_reass_zone, te);
@@ -1143,7 +1143,7 @@
 		return;
 	if (ip != NULL) {
 		s = splnet();
-		th = (struct tcphdr *)((caddr_t)ip 
+		th = (struct tcphdr *)((caddr_t)ip
 				       + (ip->ip_hl << 2));
 		INP_INFO_WLOCK(&tcbinfo);
 		inp = in_pcblookup_hash(&tcbinfo, faddr, th->th_dport,
@@ -1154,7 +1154,7 @@
 				icmp_seq = htonl(th->th_seq);
 				tp = intotcpcb(inp);
 				if (SEQ_GEQ(icmp_seq, tp->snd_una) &&
-			    		SEQ_LT(icmp_seq, tp->snd_max))
+			   		SEQ_LT(icmp_seq, tp->snd_max))
 					inp = (*notify)(inp, inetctlerrmap[cmd]);
 			}
 			if (inp != NULL)
@@ -1267,7 +1267,7 @@
  * depends on this property.  In addition, these ISNs should be
  * unguessable so as to prevent connection hijacking.  To satisfy
  * the requirements of this situation, the algorithm outlined in
- * RFC 1948 is used, with only small modifications. 
+ * RFC 1948 is used, with only small modifications.
  *
  * Implementation details:
  *
@@ -1510,7 +1510,7 @@
  * is called by TCP routines that access the rmx structure and by tcp_mss
  * to get the interface MTU.
  */
-u_long 
+u_long
 tcp_maxmtu(inc)
 	struct in_conninfo *inc;
 {
@@ -1523,7 +1523,7 @@
 
 	bzero(&sro, sizeof(sro));
 	if (inc->inc_faddr.s_addr != INADDR_ANY) {
-	        dst = (struct sockaddr_in *)&sro.ro_dst;
+		dst = (struct sockaddr_in *)&sro.ro_dst;
 		dst->sin_family = AF_INET;
 		dst->sin_len = sizeof(*dst);
 		dst->sin_addr = inc->inc_faddr;
@@ -1649,8 +1649,8 @@
 	/*
 	 * Set t_recent if timestamps are used on the connection.
 	 */
-        if ((tp->t_flags & (TF_REQ_TSTMP|TF_RCVD_TSTMP|TF_NOOPT)) ==
-            (TF_REQ_TSTMP|TF_RCVD_TSTMP))
+	if ((tp->t_flags & (TF_REQ_TSTMP|TF_RCVD_TSTMP|TF_NOOPT)) ==
+	    (TF_REQ_TSTMP|TF_RCVD_TSTMP))
 		tw->t_recent = tp->ts_recent;
 	else
 		tw->t_recent = 0;
@@ -1787,31 +1787,31 @@
 		tcpip_fillheaders(inp, ip, th);
 	}
 	optp = (u_int8_t *)(th + 1);
-                
- 	/*
+
+	/*
 	 * Send a timestamp and echo-reply if both our side and our peer
 	 * have sent timestamps in our SYN's and this is not a RST.
- 	 */
+	 */
 	if (tw->t_recent && flags == TH_ACK) {
 		u_int32_t *lp = (u_int32_t *)optp;
 
- 		/* Form timestamp option as shown in appendix A of RFC 1323. */
- 		*lp++ = htonl(TCPOPT_TSTAMP_HDR);
- 		*lp++ = htonl(ticks);
- 		*lp   = htonl(tw->t_recent);
- 		optp += TCPOLEN_TSTAMP_APPA;
- 	}
+		/* Form timestamp option as shown in appendix A of RFC 1323. */
+		*lp++ = htonl(TCPOPT_TSTAMP_HDR);
+		*lp++ = htonl(ticks);
+		*lp   = htonl(tw->t_recent);
+		optp += TCPOLEN_TSTAMP_APPA;
+	}
 
- 	/*
+	/*
 	 * Send `CC-family' options if needed, and it's not a RST.
- 	 */
+	 */
 	if (tw->cc_recv != 0 && flags == TH_ACK) {
 		u_int32_t *lp = (u_int32_t *)optp;
 
 		*lp++ = htonl(TCPOPT_CC_HDR(TCPOPT_CC));
 		*lp   = htonl(tw->cc_send);
 		optp += TCPOLEN_CC_APPA;
- 	}
+	}
 	optlen = optp - (u_int8_t *)(th + 1);
 
 	m->m_len = hdrlen + optlen;
@@ -1836,7 +1836,7 @@
 #endif
 	{
 		th->th_sum = in_pseudo(ip->ip_src.s_addr, ip->ip_dst.s_addr,
-                    htons(sizeof(struct tcphdr) + optlen + IPPROTO_TCP));
+		    htons(sizeof(struct tcphdr) + optlen + IPPROTO_TCP));
 		m->m_pkthdr.csum_flags = CSUM_TCP;
 		m->m_pkthdr.csum_data = offsetof(struct tcphdr, th_sum);
 		ip->ip_len = m->m_pkthdr.len;
@@ -1866,13 +1866,13 @@
  * side of the connection.
  *
  * BACKGROUND:  TCP makes no provision for the management of buffer space
- * at the end points or at the intermediate routers and switches.  A TCP 
+ * at the end points or at the intermediate routers and switches.  A TCP
  * stream, whether using NewReno or not, will eventually buffer as
  * many packets as it is able and the only reason this typically works is
  * due to the fairly small default buffers made available for a connection
  * (typicaly 16K or 32K).  As machines use larger windows and/or window
  * scaling it is now fairly easy for even a single TCP connection to blow-out
- * all available buffer space not only on the local interface, but on 
+ * all available buffer space not only on the local interface, but on
  * intermediate routers and switches as well.  NewReno makes a misguided
  * attempt to 'solve' this problem by waiting for an actual failure to occur,
  * then backing off, then steadily increasing the window again until another
@@ -1894,7 +1894,7 @@
  *
  * The second method is to limit the window to the bandwidth delay product
  * of the link.  This is the method we implement.  RTT variances and our
- * own manipulation of the congestion window, bwnd, can potentially 
+ * own manipulation of the congestion window, bwnd, can potentially
  * destabilize the algorithm.  For this reason we have to stabilize the
  * elements used to calculate the window.  We do this by using the minimum
  * observed RTT, the long term average of the observed bandwidth, and
@@ -1934,7 +1934,7 @@
 	if ((u_int)(save_ticks - tp->t_bw_rtttime) < 1)
 		return;
 
-	bw = (int64_t)(ack_seq - tp->t_bw_rtseq) * hz / 
+	bw = (int64_t)(ack_seq - tp->t_bw_rtseq) * hz /
 	    (save_ticks - tp->t_bw_rtttime);
 	tp->t_bw_rtttime = save_ticks;
 	tp->t_bw_rtseq = ack_seq;
@@ -1954,7 +1954,7 @@
 	 * Situations Handled:
 	 *	(1) Prevents over-queueing of packets on LANs, especially on
 	 *	    high speed LANs, allowing larger TCP buffers to be
-	 *	    specified, and also does a good job preventing 
+	 *	    specified, and also does a good job preventing
 	 *	    over-queueing of packets over choke points like modems
 	 *	    (at least for the transmit side).
 	 *
Index: tcp_syncache.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/tcp_syncache.c,v
retrieving revision 1.60
diff -u -r1.60 tcp_syncache.c
--- tcp_syncache.c	23 Jun 2004 21:04:37 -0000	1.60
+++ tcp_syncache.c	25 Jun 2004 03:18:26 -0000
@@ -105,7 +105,7 @@
 
 static int tcp_syncookies = 1;
 SYSCTL_INT(_net_inet_tcp, OID_AUTO, syncookies, CTLFLAG_RW,
-    &tcp_syncookies, 0, 
+    &tcp_syncookies, 0,
     "Use TCP SYN cookies if the syncache overflows");
 
 static void	 syncache_drop(struct syncache *, struct syncache_head *);
@@ -117,7 +117,7 @@
 #else
 static int	 syncache_respond(struct syncache *, struct mbuf *);
 #endif
-static struct 	 socket *syncache_socket(struct syncache *, struct socket *,
+static struct	 socket *syncache_socket(struct syncache *, struct socket *,
 		    struct mbuf *m);
 static void	 syncache_timer(void *);
 static u_int32_t syncookie_generate(struct syncache *);
@@ -169,16 +169,16 @@
 
 static MALLOC_DEFINE(M_SYNCACHE, "syncache", "TCP syncache");
 
-#define SYNCACHE_HASH(inc, mask) 					\
+#define SYNCACHE_HASH(inc, mask)					\
 	((tcp_syncache.hash_secret ^					\
 	  (inc)->inc_faddr.s_addr ^					\
-	  ((inc)->inc_faddr.s_addr >> 16) ^ 				\
+	  ((inc)->inc_faddr.s_addr >> 16) ^				\
 	  (inc)->inc_fport ^ (inc)->inc_lport) & mask)
 
-#define SYNCACHE_HASH6(inc, mask) 					\
+#define SYNCACHE_HASH6(inc, mask)					\
 	((tcp_syncache.hash_secret ^					\
-	  (inc)->inc6_faddr.s6_addr32[0] ^ 				\
-	  (inc)->inc6_faddr.s6_addr32[3] ^ 				\
+	  (inc)->inc6_faddr.s6_addr32[0] ^				\
+	  (inc)->inc6_faddr.s6_addr32[3] ^				\
 	  (inc)->inc_fport ^ (inc)->inc_lport) & mask)
 
 #define ENDPTS_EQ(a, b) (						\
@@ -222,16 +222,16 @@
 	tcp_syncache.rexmt_limit = SYNCACHE_MAXREXMTS;
 	tcp_syncache.hash_secret = arc4random();
 
-        TUNABLE_INT_FETCH("net.inet.tcp.syncache.hashsize",
+	TUNABLE_INT_FETCH("net.inet.tcp.syncache.hashsize",
 	    &tcp_syncache.hashsize);
-        TUNABLE_INT_FETCH("net.inet.tcp.syncache.cachelimit",
+	TUNABLE_INT_FETCH("net.inet.tcp.syncache.cachelimit",
 	    &tcp_syncache.cache_limit);
-        TUNABLE_INT_FETCH("net.inet.tcp.syncache.bucketlimit",
+	TUNABLE_INT_FETCH("net.inet.tcp.syncache.bucketlimit",
 	    &tcp_syncache.bucket_limit);
 	if (!powerof2(tcp_syncache.hashsize)) {
-                printf("WARNING: syncache hash size is not a power of 2.\n");
+		printf("WARNING: syncache hash size is not a power of 2.\n");
 		tcp_syncache.hashsize = 512;	/* safe default */
-        }
+	}
 	tcp_syncache.hashmask = tcp_syncache.hashsize - 1;
 
 	/* Allocate the hash table. */
@@ -356,15 +356,15 @@
 	struct inpcb *inp;
 
 	INP_INFO_WLOCK(&tcbinfo);
-        if (callout_pending(&tcp_syncache.tt_timerq[slot]) ||
-            !callout_active(&tcp_syncache.tt_timerq[slot])) {
+	if (callout_pending(&tcp_syncache.tt_timerq[slot]) ||
+	    !callout_active(&tcp_syncache.tt_timerq[slot])) {
 		/* XXX can this happen? */
 		INP_INFO_WUNLOCK(&tcbinfo);
-                return;
-        }
-        callout_deactivate(&tcp_syncache.tt_timerq[slot]);
+		return;
+	}
+	callout_deactivate(&tcp_syncache.tt_timerq[slot]);
 
-        nsc = TAILQ_FIRST(&tcp_syncache.timerq[slot]);
+	nsc = TAILQ_FIRST(&tcp_syncache.timerq[slot]);
 	while (nsc != NULL) {
 		if (ticks < nsc->sc_rxttime)
 			break;
@@ -592,7 +592,7 @@
 #ifdef INET6
 		if (sc->sc_inc.inc_isipv6)
 			inp->in6p_laddr = in6addr_any;
-       		else
+      		else
 #endif
 			inp->inp_laddr.s_addr = INADDR_ANY;
 		inp->inp_lport = 0;
@@ -619,7 +619,7 @@
 		 * copied, since it stores previously received options and is
 		 * used to detect if each new option is different than the
 		 * previous one and hence should be passed to a user.
-                 * If we copied in6p_inputopts, a user would not be able to
+		 * If we copied in6p_inputopts, a user would not be able to
 		 * receive options just after calling the accept system call.
 		 */
 		inp->inp_flags |= oinp->inp_flags & INP_CONTROLOPTS;
@@ -719,7 +719,7 @@
 	 * If the SYN,ACK was retransmitted, reset cwnd to 1 segment.
 	 */
 	if (sc->sc_rxtslot != 0)
-                tp->snd_cwnd = tp->t_maxseg;
+		tp->snd_cwnd = tp->t_maxseg;
 	callout_reset(tp->tt_keep, tcp_keepinit, tcp_timer_keep, tp);
 
 	INP_UNLOCK(inp);
@@ -758,11 +758,11 @@
 	sc = syncache_lookup(inc, &sch);
 	if (sc == NULL) {
 		/*
-		 * There is no syncache entry, so see if this ACK is 
+		 * There is no syncache entry, so see if this ACK is
 		 * a returning syncookie.  To do this, first:
 		 *  A. See if this socket has had a syncache entry dropped in
 		 *     the past.  We don't want to accept a bogus syncookie
- 		 *     if we've never received a SYN.
+		 *     if we've never received a SYN.
 		 *  B. check that the syncookie is valid.  If it is, then
 		 *     cobble up a fake syncache entry, and return.
 		 */
@@ -884,7 +884,7 @@
 			TAILQ_REMOVE(&tcp_syncache.timerq[sc->sc_rxtslot],
 			    sc, sc_timerq);
 			SYNCACHE_TIMEOUT(sc, sc->sc_rxtslot);
-		 	tcpstat.tcps_sndacks++;
+			tcpstat.tcps_sndacks++;
 			tcpstat.tcps_sndtotal++;
 		}
 		*sop = NULL;
@@ -895,7 +895,7 @@
 	if (sc == NULL) {
 		/*
 		 * The zone allocator couldn't provide more entries.
-		 * Treat this as if the cache was full; drop the oldest 
+		 * Treat this as if the cache was full; drop the oldest
 		 * entry and insert the new one.
 		 */
 		/* NB: guarded by INP_INFO_WLOCK(&tcbinfo) */
@@ -995,7 +995,7 @@
 		sc->sc_flags = SCF_SIGNATURE;
 #endif
 
-	if (to->to_flags & TOF_SACK)  
+	if (to->to_flags & TOF_SACK)
 		sc->sc_flags |= SCF_SACK;
 
 	/*
@@ -1093,7 +1093,7 @@
 
 	hlen =
 #ifdef INET6
-	       (sc->sc_inc.inc_isipv6) ? sizeof(struct ip6_hdr) : 
+	       (sc->sc_inc.inc_isipv6) ? sizeof(struct ip6_hdr) :
 #endif
 		sizeof(struct ip);
 
@@ -1268,7 +1268,7 @@
 	} else
 #endif
 	{
-        	th->th_sum = in_pseudo(ip->ip_src.s_addr, ip->ip_dst.s_addr,
+       	th->th_sum = in_pseudo(ip->ip_src.s_addr, ip->ip_dst.s_addr,
 		    htons(tlen - hlen + IPPROTO_TCP));
 		m->m_pkthdr.csum_flags = CSUM_TCP;
 		m->m_pkthdr.csum_data = offsetof(struct tcphdr, th_sum);
@@ -1310,7 +1310,7 @@
 #define SYNCOOKIE_NSECRETS	(1 << SYNCOOKIE_WNDBITS)
 #define SYNCOOKIE_TIMEOUT \
     (hz * (1 << SYNCOOKIE_WNDBITS) / (1 << SYNCOOKIE_TIMESHIFT))
-#define SYNCOOKIE_DATAMASK 	((3 << SYNCOOKIE_WNDBITS) | SYNCOOKIE_WNDMASK)
+#define SYNCOOKIE_DATAMASK	((3 << SYNCOOKIE_WNDBITS) | SYNCOOKIE_WNDMASK)
 
 static struct {
 	u_int32_t	ts_secbits[4];
@@ -1335,9 +1335,9 @@
 
 /*
  * Consider the problem of a recreated (and retransmitted) cookie.  If the
- * original SYN was accepted, the connection is established.  The second 
- * SYN is inflight, and if it arrives with an ISN that falls within the 
- * receive window, the connection is killed.  
+ * original SYN was accepted, the connection is established.  The second
+ * SYN is inflight, and if it arrives with an ISN that falls within the
+ * receive window, the connection is killed.
  *
  * However, since cookies have other problems, this may not be worth
  * worrying about.
Index: tcp_timer.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/tcp_timer.c,v
retrieving revision 1.65
diff -u -r1.65 tcp_timer.c
--- tcp_timer.c	23 Jun 2004 21:04:37 -0000	1.65
+++ tcp_timer.c	25 Jun 2004 03:18:26 -0000
@@ -80,7 +80,7 @@
 		return (EINVAL);
 
 	*(int *)oidp->oid_arg1 = tt;
-        return (0);
+	return (0);
 }
 
 int	tcp_keepinit;
@@ -99,7 +99,7 @@
 SYSCTL_PROC(_net_inet_tcp, TCPCTL_DELACKTIME, delacktime,
     CTLTYPE_INT|CTLFLAG_RW, &tcp_delacktime, 0, sysctl_msec_to_ticks, "I",
     "Time before a delayed ACK is sent");
- 
+
 int	tcp_msl;
 SYSCTL_PROC(_net_inet_tcp, OID_AUTO, msl, CTLTYPE_INT|CTLFLAG_RW,
     &tcp_msl, 0, sysctl_msec_to_ticks, "I", "Maximum segment lifetime");
@@ -113,7 +113,7 @@
     &tcp_rexmit_slop, 0, sysctl_msec_to_ticks, "I", "Retransmission Timer Slop");
 
 static int	always_keepalive = 1;
-SYSCTL_INT(_net_inet_tcp, OID_AUTO, always_keepalive, CTLFLAG_RW, 
+SYSCTL_INT(_net_inet_tcp, OID_AUTO, always_keepalive, CTLFLAG_RW,
     &always_keepalive , 0, "Assume SO_KEEPALIVE on all TCP connections");
 
 static int	tcp_keepcnt = TCPTV_KEEPCNT;
@@ -517,10 +517,10 @@
 	if (tp->t_rxtshift == 1) {
 		/*
 		 * first retransmit; record ssthresh and cwnd so they can
-	 	 * be recovered if this turns out to be a "bad" retransmit.
-		 * A retransmit is considered "bad" if an ACK for this 
+		 * be recovered if this turns out to be a "bad" retransmit.
+		 * A retransmit is considered "bad" if an ACK for this
 		 * segment is received within RTT/2 interval; the assumption
-		 * here is that the ACK was already in flight.  See 
+		 * here is that the ACK was already in flight.  See
 		 * "On Estimating End-to-End Network Path Properties" by
 		 * Allman and Paxson for more details.
 		 */
@@ -542,9 +542,9 @@
 		      tp->t_rttmin, TCPTV_REXMTMAX);
 	/*
 	 * Disable rfc1323 and rfc1644 if we havn't got any response to
-	 * our third SYN to work-around some broken terminal servers 
-	 * (most of which have hopefully been retired) that have bad VJ 
-	 * header compression code which trashes TCP segments containing 
+	 * our third SYN to work-around some broken terminal servers
+	 * (most of which have hopefully been retired) that have bad VJ
+	 * header compression code which trashes TCP segments containing
 	 * unknown-to-them TCP options.
 	 */
 	if ((tp->t_state == TCPS_SYN_SENT) && (tp->t_rxtshift == 3))
Index: tcp_timer.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/tcp_timer.h,v
retrieving revision 1.25
diff -u -r1.25 tcp_timer.h
--- tcp_timer.h	7 Apr 2004 20:46:14 -0000	1.25
+++ tcp_timer.h	25 Jun 2004 03:18:26 -0000
@@ -97,7 +97,7 @@
  * acks (typically 100ms) could create issues so we set the slop
  * to 200ms to try to cover it.  Note that, properly speaking,
  * delayed-acks should not create a major issue for interactive
- * environments which 'P'ush the last segment, at least as 
+ * environments which 'P'ush the last segment, at least as
  * long as implementations do the required 'at least one ack
  * for every two packets' for the non-interactive streaming case.
  * (maybe the RTO calculation should use 2*RTT instead of RTT
Index: tcp_usrreq.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/tcp_usrreq.c,v
retrieving revision 1.102
diff -u -r1.102 tcp_usrreq.c
--- tcp_usrreq.c	18 Jun 2004 20:22:21 -0000	1.102
+++ tcp_usrreq.c	25 Jun 2004 03:18:26 -0000
@@ -484,7 +484,7 @@
 	tp = intotcpcb(inp);
 	TCPDEBUG1();
 
-	/* 
+	/*
 	 * We inline in_setpeeraddr and COMMON_END here, so that we can
 	 * copy the data of interest and defer the malloc until after we
 	 * release the lock.
@@ -532,7 +532,7 @@
 	INP_INFO_RUNLOCK(&tcbinfo);
 	tp = intotcpcb(inp);
 	TCPDEBUG1();
-	/* 
+	/*
 	 * We inline in6_mapped_peeraddr and COMMON_END here, so that we can
 	 * copy the data of interest and defer the malloc until after we
 	 * release the lock.
@@ -561,8 +561,8 @@
 #endif /* INET6 */
 
 /*
- * This is the wrapper function for in_setsockaddr. We just pass down 
- * the pcbinfo for in_setsockaddr to lock. We don't want to do the locking 
+ * This is the wrapper function for in_setsockaddr. We just pass down
+ * the pcbinfo for in_setsockaddr to lock. We don't want to do the locking
  * here because in_setsockaddr will call malloc and can block.
  */
 static int
@@ -626,7 +626,7 @@
  * generally are caller-frees.
  */
 static int
-tcp_usr_send(struct socket *so, int flags, struct mbuf *m, 
+tcp_usr_send(struct socket *so, int flags, struct mbuf *m,
 	     struct sockaddr *nam, struct mbuf *control, struct thread *td)
 {
 	int s = splnet();
@@ -753,7 +753,7 @@
 		error = tcp_output(tp);
 		tp->t_force = 0;
 	}
-	COMMON_END((flags & PRUS_OOB) ? PRU_SENDOOB : 
+	COMMON_END((flags & PRUS_OOB) ? PRU_SENDOOB :
 		   ((flags & PRUS_EOF) ? PRU_SEND_EOF : PRU_SEND));
 }
 
@@ -1161,10 +1161,10 @@
  * be set by the route).
  */
 u_long	tcp_sendspace = 1024*32;
-SYSCTL_INT(_net_inet_tcp, TCPCTL_SENDSPACE, sendspace, CTLFLAG_RW, 
+SYSCTL_INT(_net_inet_tcp, TCPCTL_SENDSPACE, sendspace, CTLFLAG_RW,
     &tcp_sendspace , 0, "Maximum outgoing TCP datagram size");
 u_long	tcp_recvspace = 1024*64;
-SYSCTL_INT(_net_inet_tcp, TCPCTL_RECVSPACE, recvspace, CTLFLAG_RW, 
+SYSCTL_INT(_net_inet_tcp, TCPCTL_RECVSPACE, recvspace, CTLFLAG_RW,
     &tcp_recvspace , 0, "Maximum incoming TCP datagram size");
 
 /*
Index: tcp_var.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/tcp_var.h,v
retrieving revision 1.106
diff -u -r1.106 tcp_var.h
--- tcp_var.h	23 Jun 2004 21:04:37 -0000	1.106
+++ tcp_var.h	25 Jun 2004 03:18:26 -0000
@@ -54,7 +54,7 @@
 
 struct sackblk {
 	tcp_seq start;		/* start seq no. of sack block */
-	tcp_seq end; 		/* end seq no. */
+	tcp_seq end;		/* end seq no. */
 };
 
 struct sackhole {
@@ -243,26 +243,26 @@
 	tcp_cc		to_cc;		/* holds CC or CCnew */
 	tcp_cc		to_ccecho;
 	u_int16_t	to_mss;
-	u_int8_t 	to_requested_s_scale;
-	u_int8_t 	to_pad;
+	u_int8_t	to_requested_s_scale;
+	u_int8_t	to_pad;
 };
 
 #ifdef _NETINET_IN_PCB_H_
 struct syncache {
 	inp_gen_t	sc_inp_gencnt;		/* pointer check */
-	struct 		tcpcb *sc_tp;		/* tcb for listening socket */
+	struct		tcpcb *sc_tp;		/* tcb for listening socket */
 	struct		mbuf *sc_ipopts;	/* source route */
-	struct 		in_conninfo sc_inc;	/* addresses */
+	struct		in_conninfo sc_inc;	/* addresses */
 	u_int32_t	sc_tsrecent;
 	tcp_cc		sc_cc_send;		/* holds CC or CCnew */
 	tcp_cc		sc_cc_recv;
-	tcp_seq 	sc_irs;			/* seq from peer */
-	tcp_seq 	sc_iss;			/* our ISS */
+	tcp_seq	sc_irs;			/* seq from peer */
+	tcp_seq	sc_iss;			/* our ISS */
 	u_long		sc_rxttime;		/* retransmit time */
-	u_int16_t	sc_rxtslot; 		/* retransmit counter */
+	u_int16_t	sc_rxtslot;		/* retransmit counter */
 	u_int16_t	sc_peer_mss;		/* peer's MSS */
 	u_int16_t	sc_wnd;			/* advertised window */
-	u_int8_t 	sc_requested_s_scale:4,
+	u_int8_t	sc_requested_s_scale:4,
 			sc_request_r_scale:4;
 	u_int8_t	sc_flags;
 #define SCF_NOOPT	0x01			/* no TCP options */
@@ -306,12 +306,12 @@
 	u_short		last_win;	/* cached window value */
 	u_short		tw_so_options;	/* copy of so_options */
 	struct ucred	*tw_cred;	/* user credentials */
-	u_long 		t_recent;
+	u_long		t_recent;
 	u_long		t_starttime;
 	int		tw_time;
 	LIST_ENTRY(tcptw) tw_2msl;
 };
- 
+
 /*
  * The TAO cache entry which is stored in the tcp hostcache.
  */
@@ -559,7 +559,7 @@
 u_long	 tcp_maxmtu6(struct in_conninfo *);
 void	 tcp_mss(struct tcpcb *, int);
 int	 tcp_mssopt(struct in_conninfo *);
-struct inpcb *	 
+struct inpcb *	
 	 tcp_drop_syn_sent(struct inpcb *, int);
 struct inpcb *
 	 tcp_mtudisc(struct inpcb *, int);
@@ -622,7 +622,7 @@
 int	 tcp_newreno(struct tcpcb *, struct tcphdr *);
 u_long	 tcp_seq_subtract(u_long, u_long );
 #ifdef TCP_SACK_DEBUG
-void 	 tcp_print_holes(struct tcpcb *tp);
+void	 tcp_print_holes(struct tcpcb *tp);
 #endif /* TCP_SACK_DEBUG */
 
 #endif /* _KERNEL */
Index: tcpip.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/tcpip.h,v
retrieving revision 1.10
diff -u -r1.10 tcpip.h
--- tcpip.h	7 Apr 2004 20:46:14 -0000	1.10
+++ tcpip.h	25 Jun 2004 03:18:26 -0000
@@ -37,7 +37,7 @@
  * Tcp+ip header, after ip options removed.
  */
 struct tcpiphdr {
-	struct 	ipovly ti_i;		/* overlaid ip structure */
+	struct	ipovly ti_i;		/* overlaid ip structure */
 	struct	tcphdr ti_t;		/* tcp header */
 };
 #define	ti_x1		ti_i.ih_x1
Index: udp_usrreq.c
===================================================================
RCS file: /home/fcvs/src/sys/netinet/udp_usrreq.c,v
retrieving revision 1.155
diff -u -r1.155 udp_usrreq.c
--- udp_usrreq.c	16 Jun 2004 08:50:14 -0000	1.155
+++ udp_usrreq.c	25 Jun 2004 03:18:26 -0000
@@ -97,7 +97,7 @@
 		&udpcksum, 0, "");
 
 int	log_in_vain = 0;
-SYSCTL_INT(_net_inet_udp, OID_AUTO, log_in_vain, CTLFLAG_RW, 
+SYSCTL_INT(_net_inet_udp, OID_AUTO, log_in_vain, CTLFLAG_RW,
     &log_in_vain, 0, "Log all incoming UDP packets");
 
 static int	blackhole = 0;
@@ -240,7 +240,7 @@
 			if (m->m_pkthdr.csum_flags & CSUM_PSEUDO_HDR)
 				uh->uh_sum = m->m_pkthdr.csum_data;
 			else
-	                	uh->uh_sum = in_pseudo(ip->ip_src.s_addr,
+		       	uh->uh_sum = in_pseudo(ip->ip_src.s_addr,
 				    ip->ip_dst.s_addr, htonl((u_short)len +
 				    m->m_pkthdr.csum_data + IPPROTO_UDP));
 			uh->uh_sum ^= 0xffff;
@@ -529,13 +529,13 @@
 	struct ip *ip = vip;
 	struct udphdr *uh;
 	struct inpcb *(*notify)(struct inpcb *, int) = udp_notify;
-        struct in_addr faddr;
+	struct in_addr faddr;
 	struct inpcb *inp;
 	int s;
 
 	faddr = ((struct sockaddr_in *)sa)->sin_addr;
 	if (sa->sa_family != AF_INET || faddr.s_addr == INADDR_ANY)
-        	return;
+       	return;
 
 	/*
 	 * Redirects don't need to be handled up here.
@@ -556,7 +556,7 @@
 		uh = (struct udphdr *)((caddr_t)ip + (ip->ip_hl << 2));
 		INP_INFO_RLOCK(&udbinfo);
 		inp = in_pcblookup_hash(&udbinfo, faddr, uh->uh_dport,
-                    ip->ip_src, uh->uh_sport, 0, NULL);
+		    ip->ip_src, uh->uh_sport, 0, NULL);
 		if (inp != NULL) {
 			INP_LOCK(inp);
 			if (inp->inp_socket != NULL) {
@@ -1074,7 +1074,7 @@
 	ret = udp_output(inp, m, addr, control, td);
 	INP_UNLOCK(inp);
 	INP_INFO_WUNLOCK(&udbinfo);
-	return ret; 
+	return ret;
 }
 
 int
@@ -1096,8 +1096,8 @@
 }
 
 /*
- * This is the wrapper function for in_setsockaddr.  We just pass down 
- * the pcbinfo for in_setsockaddr to lock.  We don't want to do the locking 
+ * This is the wrapper function for in_setsockaddr.  We just pass down
+ * the pcbinfo for in_setsockaddr to lock.  We don't want to do the locking
  * here because in_setsockaddr will call malloc and might block.
  */
 static int
@@ -1117,9 +1117,9 @@
 }
 
 struct pr_usrreqs udp_usrreqs = {
-	udp_abort, pru_accept_notsupp, udp_attach, udp_bind, udp_connect, 
-	pru_connect2_notsupp, in_control, udp_detach, udp_disconnect, 
-	pru_listen_notsupp, udp_peeraddr, pru_rcvd_notsupp, 
+	udp_abort, pru_accept_notsupp, udp_attach, udp_bind, udp_connect,
+	pru_connect2_notsupp, in_control, udp_detach, udp_disconnect,
+	pru_listen_notsupp, udp_peeraddr, pru_rcvd_notsupp,
 	pru_rcvoob_notsupp, udp_send, pru_sense_null, udp_shutdown,
 	udp_sockaddr, sosend, soreceive, sopoll, in_pcbsosetlabel
 };
Index: udp_var.h
===================================================================
RCS file: /home/fcvs/src/sys/netinet/udp_var.h,v
retrieving revision 1.27
diff -u -r1.27 udp_var.h
--- udp_var.h	7 Apr 2004 20:46:14 -0000	1.27
+++ udp_var.h	25 Jun 2004 03:18:26 -0000
@@ -37,7 +37,7 @@
  * UDP kernel structures and variables.
  */
 struct	udpiphdr {
-	struct 	ipovly ui_i;		/* overlaid ip structure */
+	struct	ipovly ui_i;		/* overlaid ip structure */
 	struct	udphdr ui_u;		/* udp header */
 };
 #define	ui_x1		ui_i.ih_x1
